SET LOCK_TIMEOUT 300000
GO
SET DEADLOCK_PRIORITY LOW
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION 
GO

/* lock objects...  */
 
/* Start of lines added to convert to online lock */
 
 
Select top 1 1 from mdb_patch with (tablockx)
GO
 
/* Start of locks for dependent tables */
 
Select top 1 1 from mdb_checkpoint with (tablockx)
GO
 
Select top 1 1 from mdb with (tablockx)
GO
 
Select top 1 1 from mdb_service_pack with (tablockx)
GO
 
/* End of lines added to convert to online lock */

/* Updated trigger */
ALTER  trigger usd_trg_u_ca_server_tbl_ver
on ca_server
for update as
begin
    if update(label) or update(dis_hw_uuid)
    begin
        exec usd_proc_u_tbl_ver 0, -1, 1, 40
    end
end
go

/* New trigger */
create trigger usd_trg_d_ca_server_tbl_ver 
on ca_server
for delete as
begin
    exec usd_proc_u_tbl_ver 0, -1, 1, 40
end
go


/* Updated trigger */
ALTER  trigger usd_trg_u_ca_ag_comp_tbl_ver
on ca_agent_component
for insert, update as
declare
    @i_comp_id int
begin
    if update(agent_component_version)
    begin
        set @i_comp_id = (select top 1 agent_comp_id from inserted)
        exec usd_proc_u_tbl_ver 0, -1, 1, @i_comp_id
    end
end
go


/*****************************************************************************/
/*                                                                           */
/* Register patch                                                     	     */
/*                                                                           */
/*****************************************************************************/
insert into mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 values ( 15961507, getdate(), 1, 4, 'Star 15961507: USD FAILED DEL PKG' )
GO

COMMIT
GO

