SET LOCK_TIMEOUT 300000
GO
SET DEADLOCK_PRIORITY LOW
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION 
GO

/****************************************************************************************/
/*                                                                                      */
/* Patch Star 16231032 Unicenter Insight Performance Monitor: add dbh_sql_mss		*/ 
/*                                                                                      */
/****************************************************************************************/

/* lock objects...  */
 
/* Start of lines added to convert to online lock */
 
 
Select top 1 1 from mdb_patch with (tablockx)
GO
 
/* Start of locks for dependent tables */
 
Select top 1 1 from mdb_service_pack with (tablockx)
GO
 
Select top 1 1 from mdb with (tablockx)
GO
 
Select top 1 1 from mdb_checkpoint with (tablockx)
GO
 
/* End of lines added to convert to online lock */

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[dbh_sql_mss]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[dbh_sql_mss]
([sql_id]	[decimal](8, 0) IDENTITY (1, 1) NOT NULL,
 [capture_id]	[decimal](8,0) NULL,
 [dbh_instance]	[varchar](80) COLLATE !!sensitive NOT NULL,
 [snapshot_timestamp]	[datetime] NOT NULL,
 [scan_type]	[char](1) NOT NULL,
 [sql_owner]	[varchar](256) COLLATE !!sensitive NULL,
 [sql_parser]	[varchar](256) COLLATE !!sensitive NULL,
 [session_id]	[decimal](8,0) NULL,
 [host_name]	[varchar](256) COLLATE !!sensitive NULL,
 [appl_name]	[varchar](256) COLLATE !!sensitive NULL,
 [os_user]	[varchar](256) COLLATE !!sensitive NULL,
 [sql_handle]	[varchar](100) COLLATE !!sensitive NULL,
 [statement_start_offset]	[decimal](12,0) NULL,
 [plan_handle]	[varchar](100) COLLATE !!sensitive NULL,
 [cur_log_read]	[decimal](12,0) NULL,
 [cur_log_write]	[decimal](12,0) NULL,
 [cur_phy_read]	[decimal](12,0) NULL,
 [cur_cpu]	[decimal](16,6) NULL,
 [cur_elapsed_time]	[decimal](16,6) NULL,
 [plan_generation_num]	[decimal](8,0) NULL,
 [execution_count]	[decimal](8,0) NULL,
 [plan_creation_time]	[datetime] NULL,
 [last_exec_time]	[datetime] NULL,
 [last_log_read]	[decimal](12,0) NULL,
 [last_log_write]	[decimal](12,0) NULL,
 [last_phy_read]	[decimal](12,0) NULL,
 [last_cpu]	[decimal](16,6) NULL,
 [last_clr_time]	[decimal](16,6) NULL,
 [last_elapsed_time]	[decimal](16,6) NULL,
 [min_log_read]	[decimal](12,0) NULL,
 [min_log_write]	[decimal](12,0) NULL,
 [min_phy_read]	[decimal](12,0) NULL,
 [min_cpu]	[decimal](16,6) NULL,
 [min_clr_time]	[decimal](16,6) NULL,
 [min_elapsed_time]	[decimal](16,6) NULL,
 [max_log_read]	[decimal](12,0) NULL,
 [max_log_write]	[decimal](12,0) NULL,
 [max_phy_read]	[decimal](12,0) NULL,
 [max_cpu]	[decimal](16,6) NULL,
 [max_clr_time]	[decimal](16,6) NULL,
 [max_elapsed_time]	[decimal](16,6) NULL,
 [total_log_read]	[decimal](12,0) NULL,
 [total_log_write]	[decimal](12,0) NULL,
 [total_phy_read]	[decimal](12,0) NULL,
 [total_cpu]	[decimal](16,6) NULL,
 [total_clr_time]	[decimal](16,6) NULL,
 [total_elapsed_time]	[decimal](16,6) NULL,
 [diff_log_read]	[decimal](12,0) NULL,
 [diff_log_write]	[decimal](12,0) NULL,
 [diff_phy_read]	[decimal](12,0) NULL,
 [diff_io]	[decimal](12,0) NULL,
 [diff_cpu]	[decimal](16,6) NULL,
 [stmt_text]	[text] COLLATE !!sensitive NOT NULL,
 [tag]	[varchar](50) COLLATE !!sensitive NULL,
 [folder]	[varchar](50) COLLATE !!sensitive NULL,
 [description]	[varchar](2000) COLLATE !!sensitive NULL,
 [plan_owner]	[varchar](30) COLLATE !!sensitive NULL,
 [db_connect_string]	[varchar](400) COLLATE !!sensitive NULL,
 [db_name]	[varchar](256) COLLATE !!sensitive NULL,
 [db_version]	[varchar](30) COLLATE !!sensitive NULL,
 [create_date]	[datetime] NULL,
 [verify_date]	[datetime] NULL,
 [start_capture_time]	[datetime] NULL,
 [end_capture_time]	[datetime] NULL,
 [capture_interval]	[decimal](12,2) NULL,
 [var1]	[varchar](400) COLLATE !!sensitive NULL,
 [var2]	[varchar](400) COLLATE !!sensitive NULL,
 [var3]	[varchar](400) COLLATE !!sensitive NULL,
 [var4]	[varchar](400) COLLATE !!sensitive NULL,
 [var5]	[varchar](400) COLLATE !!sensitive NULL,
 [text1]	[varchar](1) COLLATE !!sensitive NULL ,
 [dec1]	[decimal](12,2) NULL,
 [dec2]	[decimal](12,2) NULL,
 [dec3]	[decimal](12,2) NULL,
 [dec4]	[decimal](16,6) NULL,
 [dec5]	[decimal](16,6) NULL,
 [float1]	[float] NULL,
 [float2]	[float] NULL,
 [float3]	[float] NULL,
 [date1]	[datetime] NULL,
 [date2]	[datetime] NULL,
 [date3]	[datetime] NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO

ALTER TABLE [dbo].[dbh_sql_mss] WITH NOCHECK ADD 
	CONSTRAINT [dbh_sql_mss_pk] PRIMARY KEY  CLUSTERED 
	(
		[sql_id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[dbh_sql_mss] ADD 
	CONSTRAINT [dbh_sql_mss_capture_fk] FOREIGN KEY 
	(
		[capture_id]
	) REFERENCES [dbo].[dbh_captures] (
		[capture_id]
	) ON DELETE CASCADE 
GO

CREATE INDEX [dbh_sql_mss_snapshot_ts_idx] ON [dbo].[dbh_sql_mss]([capture_id], [snapshot_timestamp]) ON [PRIMARY]
GO

CREATE INDEX [dbh_sql_mss_inst_snapts_idx] ON [dbo].[dbh_sql_mss] ([dbh_instance], [scan_type], [snapshot_timestamp]) ON [PRIMARY]
GO

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[dbh_sql_mss]  TO [udmadmin_group]
GO

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                               	*/
/*                                                                                      */
/****************************************************************************************/
insert into mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 values ( 16231032, getdate(), 1, 4, 'Patch Star 16231032 Unicenter Insight Performance Monitor: add dbh_sql_mss' )
GO

COMMIT TRANSACTION 
GO

