SET LOCK_TIMEOUT 300000
GO
SET DEADLOCK_PRIORITY LOW
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION 
GO

/****************************************************************************************/
/*                                                                                      */
/* Star 16460676 DSM CMO software rights trigger					*/
/*                                                                                      */
/****************************************************************************************/

/* lock objects...  */
 
/* Start of lines added to convert to online lock */
 
 
Select top 1 1 from mdb_patch with (tablockx)
GO
 
/* Start of locks for dependent tables */
 
Select top 1 1 from mdb_service_pack with (tablockx)
GO
 
Select top 1 1 from mdb with (tablockx)
GO
 
Select top 1 1 from mdb_checkpoint with (tablockx)
GO
 
Select top 1 1 from unitsec with (tablockx)
GO
 
/* End of lines added to convert to online lock */

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		jaere01
-- Create date: march 5 2007
-- Description:	used to maintain the integrity bteween unitsec and ca_agent
--				table. In case of insertinig or updating unisec the ca_agent
--				needs to be updataed to ake sure that the engine is kicked off
-- =============================================


CREATE TRIGGER [dbo].[r_iu_unitesec_notify]
   ON  [dbo].[unitsec]
   AFTER INSERT, UPDATE
AS 
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for trigger here
	update [dbo].ca_agent set auto_server_version=auto_server_version+1 
	from ca_agent a, inserted i
    where a.object_uuid= i.object_uuid ;
				
	
END
GO

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                               	*/
/*                                                                                      */
/****************************************************************************************/
insert into mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 values ( 16460676, getdate(), 1, 4, 'Star 16460676 DSM CMO software rights trigger' )
GO

COMMIT TRANSACTION 
GO

