SET LOCK_TIMEOUT 300000
GO
SET DEADLOCK_PRIORITY LOW
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION 
GO

/****************************************************************************************/
/*                                                                                      */
/* Star 16787935 BSO CMS 11.2 dts_dtasset_view add asset_class_id */
/*                                                                                      */
/****************************************************************************************/

/* lock objects...  */
 
/* Start of lines added to convert to online lock */
 
 
Select top 1 1 from mdb_patch with (tablockx)
GO
 
/* Start of locks for dependent tables */
 
Select top 1 1 from mdb_service_pack with (tablockx)
GO
 
Select top 1 1 from mdb with (tablockx)
GO
 
Select top 1 1 from mdb_checkpoint with (tablockx)
GO
 
/* End of lines added to convert to online lock */

/* 16584925 MDB auto-build CRPatch */
Select top 1 1 from ca_discovered_hardware with (tablockx)
GO

Select top 1 1 from ca_agent with (tablockx)
GO

/* this is an update on p14556282.sql */


ALTER VIEW dts_dtasset_view ( object_id,
                               label,
							   asset_host_name,
							   asset_host_uuid,
							   asset_primary_mac_address,
							   asset_primary_network_address,
							   asset_usage_list,
							   asset_source_uuid,
							   asset_ip_address,
							   asset_primary_subnet_mask,
                               asset_class_id 			/* new column */
							 )
	AS
	SELECT ca_discovered_hardware.dis_hw_uuid,
	       ca_discovered_hardware.label,
		   ca_discovered_hardware.host_name,
		   ca_discovered_hardware.host_uuid,
		   ca_discovered_hardware.primary_mac_address,
		   ca_discovered_hardware.primary_network_address,
		   ca_discovered_hardware.usage_list,
		   ca_discovered_hardware.asset_source_uuid,
		   ca_agent.ip_address,
                   ca_discovered_hardware.primary_subnet_mask,
                   ca_discovered_hardware.class_id
	FROM ( ca_discovered_hardware LEFT OUTER JOIN ca_agent ON ca_discovered_hardware.dis_hw_uuid = ca_agent.object_uuid) 

GO





/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                               	*/
/*                                                                                      */
/****************************************************************************************/
insert into mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 values ( 16787935, getdate(), 1, 4, 'Star 16787935 BSO CMS 11.2 dts_dtasset_view add asset_class_id' )
GO

COMMIT TRANSACTION 
GO

