SET LOCK_TIMEOUT 300000
GO
SET DEADLOCK_PRIORITY LOW
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION 
GO

/****************************************************************************************/
/*                                                                                      */
/* Star 16794102 CMDB 11.2, patch 4, new ci extension tables, new column */
/*                                                                                      */
/****************************************************************************************/

/* lock objects...  */
 
/* Start of lines added to convert to online lock */
 
 
Select top 1 1 from mdb_patch with (tablockx)
GO
 
/* Start of locks for dependent tables */
 
Select top 1 1 from mdb_service_pack with (tablockx)
GO
 
Select top 1 1 from mdb with (tablockx)
GO
 
Select top 1 1 from mdb_checkpoint with (tablockx)
GO
 
/* End of lines added to convert to online lock */

/* 16584925 MDB auto-build CRPatch */
Select top 1 1 from ci_app_ext with (tablockx)
GO
 
Select top 1 1 from ci_database with (tablockx)
GO
 
Select top 1 1 from ci_fac_ac with (tablockx)
GO
 
Select top 1 1 from ci_fac_fire_control with (tablockx)
GO
 
Select top 1 1 from ci_fac_furnishings with (tablockx)
GO
 
Select top 1 1 from ci_fac_other with (tablockx)
GO
 
Select top 1 1 from ci_fac_ups with (tablockx)
GO
 
Select top 1 1 from ci_hardware_lpar with (tablockx)
GO
 
Select top 1 1 from ci_hardware_mainframe with (tablockx)
GO
 
Select top 1 1 from ci_hardware_monitor with (tablockx)
GO
 
Select top 1 1 from ci_hardware_other with (tablockx)
GO
 
Select top 1 1 from ci_hardware_server with (tablockx)
GO
 
Select top 1 1 from ci_hardware_printer with (tablockx)
GO
 
Select top 1 1 from ci_hardware_storage with (tablockx)
GO
 
Select top 1 1 from ci_hardware_virtual with (tablockx)
GO
 
Select top 1 1 from ci_hardware_workstation with (tablockx)
GO
 
Select top 1 1 from ci_network_bridge with (tablockx)
GO
 
Select top 1 1 from ci_network_cluster with (tablockx)
GO
 
Select top 1 1 from ci_network_controller with (tablockx)
GO
 
Select top 1 1 from ci_network_frontend with (tablockx)
GO
 
Select top 1 1 from ci_network_gateway with (tablockx)
GO
 
Select top 1 1 from ci_network_hub with (tablockx)
GO
 
Select top 1 1 from ci_network_nic with (tablockx)
GO
 
Select top 1 1 from ci_network_other with (tablockx)
GO
 
Select top 1 1 from ci_network_peripheral with (tablockx)
GO
 
Select top 1 1 from ci_network_port with (tablockx)
GO
 
Select top 1 1 from ci_network_router with (tablockx)
GO
 
Select top 1 1 from ci_network_server with (tablockx)
GO
 
Select top 1 1 from ci_operating_system with (tablockx)
GO
 
Select top 1 1 from ci_telcom_ciruit with (tablockx)
GO
 
Select top 1 1 from ci_telcom_other with (tablockx)
GO
 
Select top 1 1 from ci_telcom_voice with (tablockx)
GO
 
Select top 1 1 from ci_telcom_radio with (tablockx)
GO
 
Select top 1 1 from ci_telcom_wireless with (tablockx)
GO

CREATE TABLE dbo.ci_enterprise_transaction
(
     id int NOT NULL,
     persid nvarchar(30)  NULL,
     last_mod_dt int  NULL,
     last_mod_by binary(16)  NULL,
     ext_asset binary(16) NOT NULL,
     description nvarchar(300)  NULL,
     category nvarchar(50)  NULL,
     version nvarchar(15)  NULL,
     site nvarchar(50)  NULL,
     business_owner nvarchar(300)  NULL,
     business_unit nvarchar(300)  NULL,
     transaction_manager nvarchar(300)  NULL,
     business_contacts nvarchar(300)  NULL,
     escalation_contacts nvarchar(300)  NULL,
     lifecycle_state nvarchar(50)  NULL,
     lifecycle_status nvarchar(50)  NULL,
     business_impact nvarchar(30)  NULL,
     business_priority nvarchar(30)  NULL,
     transaction_goal nvarchar(300)  NULL,
     transaction_alignment nvarchar(50)  NULL,
     design_start_date int  NULL,
     design_end_date int  NULL,
     transition_start_date int  NULL,
     transition_end_date int  NULL,
     operation_start_date int  NULL,
     operation_end_date int  NULL,
     availability_start int  NULL,
     availability_end int  NULL,
     unavailability_start int  NULL,
     unavailability_end int  NULL,
     cancel_date int  NULL ,
     PRIMARY KEY NONCLUSTERED (id ASC) ON [PRIMARY]
) ON [PRIMARY]
GO

GRANT SELECT, INSERT, DELETE, UPDATE ON dbo.ci_enterprise_transaction TO service_desk_admin_group
GO

GRANT SELECT ON dbo.ci_enterprise_transaction TO service_desk_ro_group
GO

CREATE UNIQUE  CLUSTERED INDEX ci_enterprise_transaction_X0 ON dbo.ci_enterprise_transaction (ext_asset)
GO

CREATE TABLE dbo.ci_enterprise_service
(
     id int NOT NULL,
     persid nvarchar(30)  NULL,
     last_mod_dt int  NULL,
     last_mod_by binary(16)  NULL,
     ext_asset binary(16) NOT NULL,
     description nvarchar(300)  NULL,
     category nvarchar(50)  NULL,
     portfolio nvarchar(50)  NULL,
     version nvarchar(15)  NULL,
     site nvarchar(50)  NULL,
     business_owner nvarchar(300)  NULL,
     business_unit nvarchar(300)  NULL,
     service_manager nvarchar(300)  NULL,
     business_contacts nvarchar(300)  NULL,
     escalation_contacts nvarchar(300)  NULL,
     lifecycle_state nvarchar(50)  NULL,
     lifecycle_status nvarchar(50)  NULL,
     business_impact nvarchar(30)  NULL,
     business_priority nvarchar(30)  NULL,
     business_risk nvarchar(30)  NULL,
     cobit_objective nvarchar(300)  NULL,
     charge_code nvarchar(100)  NULL,
     service_goal nvarchar(300)  NULL,
     service_alignment nvarchar(50)  NULL,
     SLA nvarchar(300)  NULL,
     service_hours nvarchar(100)  NULL,
     design_start_date int  NULL,
     design_end_date int  NULL,
     transition_start_date int  NULL,
     transition_end_date int  NULL,
     operation_start_date int  NULL,
     operation_end_date int  NULL,
     availability_start int  NULL,
     availability_end int  NULL,
     unavailability_start int  NULL,
     unavailability_end int  NULL,
     cancel_date int  NULL ,
     PRIMARY KEY NONCLUSTERED (id ASC) ON [PRIMARY]
) ON [PRIMARY]
GO

GRANT SELECT, INSERT, DELETE, UPDATE ON dbo.ci_enterprise_service TO service_desk_admin_group
GO

GRANT SELECT ON dbo.ci_enterprise_service TO service_desk_ro_group
GO

CREATE UNIQUE  CLUSTERED INDEX ci_enterprise_service_X0 ON dbo.ci_enterprise_service (ext_asset)
GO

ALTER TABLE dbo.ci_app_ext add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_database add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_fac_ac add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_fac_fire_control add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_fac_furnishings add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_fac_other add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_fac_ups add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_hardware_lpar add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_hardware_mainframe add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_hardware_monitor add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_hardware_other add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_hardware_server add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_hardware_printer add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_hardware_storage add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_hardware_virtual add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_hardware_workstation add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_network_bridge add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_network_cluster add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_network_controller add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_network_frontend add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_network_gateway add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_network_hub add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_network_nic add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_network_other add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_network_peripheral add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_network_port add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_network_router add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_network_server add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_operating_system add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_telcom_ciruit add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_telcom_other add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_telcom_voice add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_telcom_radio add purchase_amountc nvarchar(30) NULL;
GO

ALTER TABLE dbo.ci_telcom_wireless add purchase_amountc nvarchar(30) NULL;
GO




/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                               	*/
/*                                                                                      */
/****************************************************************************************/
insert into mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 values ( 16794102, getdate(), 1, 4, 'Star 16794102 CMDB 11.2, patch 4, new ci extension tables, new column' )
GO

COMMIT TRANSACTION 
GO

