@Echo off

@REM          Proprietary and Confidential Information
@REM
@REM This material contains, and is part of a computer software program 
@REM which is, proprietary and confidential information owned by 
@REM CA, Islandia, NY 11749. The program, including 
@REM this material, may not be duplicated, disclosed or reproduced in 
@REM whole or in part for any purpose without the express written 
@REM authorization of COMPUTER ASSOCIATES. All authorized reproductions 
@REM must be marked with this legend.
@REM
@REM                       Copyright: (c) 2006
@REM                      CA, Islandia, NY 11749
@REM                  Software Superior by Design
@REM                      All rights reserved
@REM
@REM

@REM An essential part of this script is under Copyright of the 
@REM Microsoft Cooperation and is covered by the 
@REM Microsoft Shared Source Permissive License. See this licence 
@REM in DsmMsSqlOpt.Ms.lic.txt delivered with this script.
@REM 

@REM 
@REM purpose:
@REM 	script to run to update the MDB to be optimized for DSM 
@REM 
@REM pre-condition:
@REM 	MDB is installed 
@REM 
@REM post-condition:
@REM 	MDB schema is update if needed
@REM
@REM Procedure to run the script in case of a named instance is "DsmMsSqlOpt "hostname\instancename"
@REM and on the default instance we can just run it as DsmMsSqlOpt.bat
@REM return 
@REM 	 0 = no error 
@REM 	 1 = command line error
@REM	
@REM 
@REM usage 
@REM
@REM History
@REM            1/20/2005	initial revison
@REM            2/27/2006   mssql 2k and 2k5 support
@REM 
@REM Caveats
@REM    On MS SQL Server 2000 only index defrag is used to run this script in 
@REM    online mode
@REM    In case of MS SQL Server 2000 you may use the option usereindex
@REM    to force rebuild of index insetad of defragmentation.
@REM    %PROG%  [-fillfactor=<number>] [-pagecount=<number>] [-maxfrag=<number>] [-usereindex] 
@REM    	[ {{ local ^| serverName} [mdbName] } ]
@REM
@REM    On MS SQL Server 2005  alter index rebuild ins used with option ONLINE=ON
@REM


@REM set default values 
set PROG=DsmMsSqlOpt
 
@REM check if all parameters are given
if (%TEMP%) == () goto usage
if (%1) == (-?) goto usage

@REM set default values 
set DB=mdb
set MS_OSQL="osql.exe"
set DEL=del
set WCMD=call
set MYERRORLEVEL=0
set DBUSER=mdbadmin
set PAGECOUNT=1000
set MAXFRAG=10
set MMAXFRAG=100
set FILLFACTOR=
set DO_REINDEX=no
set DO_ONLINE=yes
set DO_OFFLINE=no
set ON_OFFLINE_SET=no


:EofChecks
@REM GET SYSTEM NAME
set NEXT=PARSYSTEM

goto CHECK_OPTIONS
:PARSYSTEM

set SQLHOST=-S %1
if "%~1"=="local" set SQLHOST=

shift




@REM GET MDB NAME 
set NEXT=PARMDBNAME
goto CHECK_OPTIONS
:PARMDBNAME
if NOT "%~1"=="" set DB=%1
shift




set NEXT=LAST_CHECKS
goto CHECK_OPTIONS


:LAST_CHECKS
if NOT "%~1"=="" goto usage
if %MAXFRAG% GEQ 101 	GOTO USAGE
if %MAXFRAG% LSS 0 	    GOTO USAGE
if %MMAXFRAG% GEQ 101 	GOTO USAGE
if %MMAXFRAG% LSS 0 	GOTO USAGE
if %PAGECOUNT% LSS 0 	GOTO USAGE



:DOIT
echo %date% %time% %PROG% %1 started 


echo check MS SQL Server version
echo sp_server_info 500     >%TEMP%\dsmsqllogin_srvversion.sql
echo GO                     >>%TEMP%\dsmsqllogin_srvversion.sql

%WCMD% %MS_OSQL% %SQLHOST% -d %DB% -I -E -n -b -i %TEMP%\dsmsqllogin_srvversion.sql  >%TEMP%\dsmsqllogin_srvversion.txt

if  %ERRORLEVEL% EQU 0  goto CHECK_VERSION_8_0
echo Unable to check MS SQL Server version 
more %TEMP%\dsmsqllogin_srvversion.txt
echo script aborted
goto DONE

:CHECK_VERSION_8_0
findstr /B /R /C:".*8.0.*" %TEMP%\dsmsqllogin_srvversion.txt > nul
if %ERRORLEVEL% EQU 0 GOTO UPDATE_MDB_2K


echo check database version
echo sp_dbcmptlevel %DB% >%TEMP%\dsmsqllogin_srvversion.sql
echo GO                     >>%TEMP%\dsmsqllogin_srvversion.sql
%WCMD% %MS_OSQL% %SQLHOST% -d %DB% -I -E -n -b -i %TEMP%\dsmsqllogin_srvversion.sql  >%TEMP%\dsmsqllogin_srvversion.txt
if  %ERRORLEVEL% EQU 0  goto CHECK_VERSION_80
echo Unable to check MS SQL Server version 
more %TEMP%\dsmsqllogin_srvversion.txt
echo script aborted
goto DONE

:CHECK_VERSION_80
findstr /B /R /C:".*80.*" %TEMP%\dsmsqllogin_srvversion.txt > nul
if %ERRORLEVEL% EQU 0 GOTO UPDATE_MDB_2K


:CHECK_VERSION_90
findstr /B /R /C:".*90.*" %TEMP%\dsmsqllogin_srvversion.txt > nul
if %ERRORLEVEL% EQU 0 GOTO UPDATE_MDB_2K5

:CHECK_VERSION_100
findstr /B /R /C:".*100.*" %TEMP%\dsmsqllogin_srvversion.txt > nul
if %ERRORLEVEL% EQU 0 GOTO UPDATE_MDB_2K8

:CHECK_VERSION_110
findstr /B /R /C:".*110.*" %TEMP%\dsmsqllogin_srvversion.txt > nul
if %ERRORLEVEL% EQU 0 GOTO UPDATE_MDB_2K12

:CHECK_VERSION_120
findstr /B /R /C:".*120.*" %TEMP%\dsmsqllogin_srvversion.txt > nul
if %ERRORLEVEL% EQU 0 GOTO UPDATE_MDB_2K14

:CHECK_VERSION_130
findstr /B /R /C:".*130.*" %TEMP%\dsmsqllogin_srvversion.txt > nul
if %ERRORLEVEL% EQU 0 GOTO UPDATE_MDB_2K16

echo.
GOTO UPDATE_MDB





:UPDATE_MDB_2k
echo database version: 2000
if "%ON_OFFLINE_SET%" == "yes" goto usage
if "%DO_REINDEX%" == "yes" goto UPDATE_MDB

echo %date% %time% Index defragmentation
@REM
echo %date% %time% %WCMD% %MS_OSQL% %SQLHOST% -d %DB% -I -E -n -b -i %TEMP%\_%PROG%.sql
echo.  																						>%TEMP%\_%PROG%.sql 
@REM																			
@REM																			
echo /*Perform a 'USE database name' to select the database in which to run the script.*/  >>%TEMP%\_%PROG%.sql 
echo -- Declare variables                                                                  >>%TEMP%\_%PROG%.sql 
echo SET NOCOUNT ON                                                                        >>%TEMP%\_%PROG%.sql 
echo select  getdate(), '  start of index defragmentation'                                  >>%TEMP%\_%PROG%.sql 
echo GO                                                                                    >>%TEMP%\_%PROG%.sql 
echo DECLARE @tablename VARCHAR (128)                                                      >>%TEMP%\_%PROG%.sql 
echo DECLARE @oldtablename VARCHAR (128)                                                   >>%TEMP%\_%PROG%.sql 
echo DECLARE @execstr   VARCHAR (255)                                                      >>%TEMP%\_%PROG%.sql 
echo DECLARE @objectid  INT                                                                >>%TEMP%\_%PROG%.sql 
echo DECLARE @indexid   INT                                                                >>%TEMP%\_%PROG%.sql 
echo DECLARE @frag      DECIMAL                                                            >>%TEMP%\_%PROG%.sql 
echo DECLARE @maxfrag   DECIMAL                                                            >>%TEMP%\_%PROG%.sql 
echo DECLARE @mmaxfrag  DECIMAL                                                            >>%TEMP%\_%PROG%.sql 
echo DECLARE @nrpages   DECIMAL                                                            >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Decide on the maximum fragmentation to allow                                       >>%TEMP%\_%PROG%.sql 
echo set @maxfrag  = %MAXFRAG%                                                             >>%TEMP%\_%PROG%.sql 
echo set @mmaxfrag = %MMAXFRAG%                                                            >>%TEMP%\_%PROG%.sql 
echo set @nrpages  = %PAGECOUNT%                                                           >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Declare cursor                                                                     >>%TEMP%\_%PROG%.sql 
echo DECLARE tables CURSOR FOR                                                             >>%TEMP%\_%PROG%.sql 
echo select o.name as TABLE_NAME                                                           >>%TEMP%\_%PROG%.sql 
echo 	from syspermissions p,sysobjects o, INFORMATION_SCHEMA.TABLES i                    >>%TEMP%\_%PROG%.sql 
echo 	where p.grantee=user_id('ca_itrm_group')                                           >>%TEMP%\_%PROG%.sql 
echo 		and p.id=o.id and o.xtype='U'                                                  >>%TEMP%\_%PROG%.sql 
echo        and i.TABLE_NAME=o.name and i.TABLE_SCHEMA='dbo'                               >>%TEMP%\_%PROG%.sql 
echo 	order by o.name                                                                    >>%TEMP%\_%PROG%.sql 
echo /*   SELECT TABLE_NAME                                                                >>%TEMP%\_%PROG%.sql 
echo    FROM INFORMATION_SCHEMA.TABLES                                                     >>%TEMP%\_%PROG%.sql 
echo    WHERE TABLE_TYPE = 'BASE TABLE'                                                    >>%TEMP%\_%PROG%.sql 
echo */                                                                                    >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Create the table                                                                   >>%TEMP%\_%PROG%.sql 
echo CREATE TABLE #fraglist (                                                              >>%TEMP%\_%PROG%.sql 
echo    ObjectName CHAR (255),                                                             >>%TEMP%\_%PROG%.sql 
echo    ObjectId INT,                                                                      >>%TEMP%\_%PROG%.sql 
echo    IndexName CHAR (255),                                                              >>%TEMP%\_%PROG%.sql 
echo    IndexId INT,                                                                       >>%TEMP%\_%PROG%.sql 
echo    Lvl INT,                                                                           >>%TEMP%\_%PROG%.sql 
echo    CountPages INT,                                                                    >>%TEMP%\_%PROG%.sql 
echo    CountRows INT,                                                                     >>%TEMP%\_%PROG%.sql 
echo    MinRecSize INT,                                                                    >>%TEMP%\_%PROG%.sql 
echo    MaxRecSize INT,                                                                    >>%TEMP%\_%PROG%.sql 
echo    AvgRecSize INT,                                                                    >>%TEMP%\_%PROG%.sql 
echo    ForRecCount INT,                                                                   >>%TEMP%\_%PROG%.sql 
echo    Extents INT,                                                                       >>%TEMP%\_%PROG%.sql 
echo    ExtentSwitches INT,                                                                >>%TEMP%\_%PROG%.sql 
echo    AvgFreeBytes INT,                                                                  >>%TEMP%\_%PROG%.sql 
echo    AvgPageDensity INT,                                                                >>%TEMP%\_%PROG%.sql 
echo    ScanDensity DECIMAL,                                                               >>%TEMP%\_%PROG%.sql 
echo    BestCount INT,                                                                     >>%TEMP%\_%PROG%.sql 
echo    ActualCount INT,                                                                   >>%TEMP%\_%PROG%.sql 
echo    LogicalFrag DECIMAL,                                                               >>%TEMP%\_%PROG%.sql 
echo    ExtentFrag DECIMAL)                                                                >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Open the cursor                                                                    >>%TEMP%\_%PROG%.sql 
echo OPEN tables                                                                           >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Loop through all the tables in the database                                        >>%TEMP%\_%PROG%.sql 
echo FETCH NEXT                                                                            >>%TEMP%\_%PROG%.sql 
echo    FROM tables                                                                        >>%TEMP%\_%PROG%.sql 
echo    INTO @tablename                                                                    >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo WHILE @@FETCH_STATUS = 0                                                              >>%TEMP%\_%PROG%.sql 
echo BEGIN                                                                                 >>%TEMP%\_%PROG%.sql 
echo -- Do the showcontig of all indexes of the table                                      >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo    INSERT INTO #fraglist                                                              >>%TEMP%\_%PROG%.sql 
echo    EXEC ('DBCC SHOWCONTIG (''' + @tablename + ''')                                    >>%TEMP%\_%PROG%.sql 
echo       WITH FAST, TABLERESULTS, ALL_INDEXES, NO_INFOMSGS')                             >>%TEMP%\_%PROG%.sql 
echo    FETCH NEXT                                                                         >>%TEMP%\_%PROG%.sql 
echo       FROM tables                                                                     >>%TEMP%\_%PROG%.sql 
echo       INTO @tablename                                                                 >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo END                                                                                   >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Close and deallocate the cursor                                                    >>%TEMP%\_%PROG%.sql 
echo CLOSE tables                                                                          >>%TEMP%\_%PROG%.sql 
echo DEALLOCATE tables                                                                     >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Declare cursor for list of indexes to be defragged                                 >>%TEMP%\_%PROG%.sql 
echo DECLARE indexes CURSOR FOR                                                            >>%TEMP%\_%PROG%.sql 
echo    SELECT ObjectName, ObjectId, IndexId, LogicalFrag                                  >>%TEMP%\_%PROG%.sql 
echo    FROM #fraglist                                                                     >>%TEMP%\_%PROG%.sql 
echo    WHERE  LogicalFrag ^<= @mmaxfrag                                                   >>%TEMP%\_%PROG%.sql 
echo       and LogicalFrag ^>= @maxfrag                                                    >>%TEMP%\_%PROG%.sql 
echo       AND INDEXPROPERTY (ObjectId, IndexName, 'IndexDepth') ^> 0                      >>%TEMP%\_%PROG%.sql 
echo 	and CountPages^>=@nrpages                                                          >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Open the cursor                                                                    >>%TEMP%\_%PROG%.sql 
echo OPEN indexes                                                                          >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- loop through the indexes                                                           >>%TEMP%\_%PROG%.sql 
echo FETCH NEXT                                                                            >>%TEMP%\_%PROG%.sql 
echo    FROM indexes                                                                       >>%TEMP%\_%PROG%.sql 
echo    INTO @tablename, @objectid, @indexid, @frag                                        >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo WHILE @@FETCH_STATUS = 0                                                              >>%TEMP%\_%PROG%.sql 
echo BEGIN                                                                                 >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo	set @oldtablename=@tablename                                                       >>%TEMP%\_%PROG%.sql 
echo    PRINT 'Executing DBCC INDEXDEFRAG (0, ' + RTRIM(@tablename) + ', '                 >>%TEMP%\_%PROG%.sql 
echo        + RTRIM(@indexid) + ')                                                         >>%TEMP%\_%PROG%.sql 
echo        - fragmentation currently '                                                    >>%TEMP%\_%PROG%.sql 
echo        + RTRIM(CONVERT(varchar(15),@frag)) + '%%'                                     >>%TEMP%\_%PROG%.sql 
echo    SELECT @execstr = 'DBCC INDEXDEFRAG (0, ' + RTRIM(@objectid) + ',                  >>%TEMP%\_%PROG%.sql 
echo        ' + RTRIM(@indexid) + ')'                                                      >>%TEMP%\_%PROG%.sql 
echo    EXEC (@execstr)                                                                    >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo    FETCH NEXT                                                                         >>%TEMP%\_%PROG%.sql 
echo       FROM indexes                                                                    >>%TEMP%\_%PROG%.sql 
echo       INTO @tablename, @objectid, @indexid, @frag                                     >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo    if ( @tablename != @oldtablename )                                                 >>%TEMP%\_%PROG%.sql             
echo    BEGIN                                                                              >>%TEMP%\_%PROG%.sql 
echo    	PRINT 'Executing sp_recompile ''' + RTRIM(@oldtablename) + ''''                >>%TEMP%\_%PROG%.sql 
echo    	SELECT @execstr = 'sp_recompile ''' + RTRIM(@oldtablename) + ''''              >>%TEMP%\_%PROG%.sql 
echo    	EXEC (@execstr)                                                                >>%TEMP%\_%PROG%.sql 
echo    END                                                                                >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql                
echo END                                                                                   >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Close and deallocate the cursor                                                    >>%TEMP%\_%PROG%.sql 
echo CLOSE indexes                                                                         >>%TEMP%\_%PROG%.sql 
echo DEALLOCATE indexes                                                                    >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Delete the temporary table                                                         >>%TEMP%\_%PROG%.sql 
echo DROP TABLE #fraglist                                                                  >>%TEMP%\_%PROG%.sql 
echo GO                                                                                    >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo select  getdate(), '  defragmentation of indexes done'                                >>%TEMP%\_%PROG%.sql 
echo GO                                                                                    >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Start update usage                                                                 >>%TEMP%\_%PROG%.sql 
echo select  getdate(), '  start update usage: dbcc updateusage (0)'                       >>%TEMP%\_%PROG%.sql 
echo GO                                                                                    >>%TEMP%\_%PROG%.sql 
echo dbcc updateusage (0) with COUNT_ROWS                                                  >>%TEMP%\_%PROG%.sql 
echo GO                                                                                    >>%TEMP%\_%PROG%.sql 
echo select  getdate(), '  end of update usage'                                            >>%TEMP%\_%PROG%.sql 
echo GO                                                                                    >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Start update statistics                                                            >>%TEMP%\_%PROG%.sql 
echo select  getdate(), '  start update statistics'                                        >>%TEMP%\_%PROG%.sql 
echo GO                                                                                    >>%TEMP%\_%PROG%.sql 
echo sp_updatestats                                                                        >>%TEMP%\_%PROG%.sql 
echo GO                                                                                    >>%TEMP%\_%PROG%.sql 
echo select  getdate(), '  end of update statistics'                                       >>%TEMP%\_%PROG%.sql 
echo GO                                                                                    >>%TEMP%\_%PROG%.sql 

@REM
%WCMD% %MS_OSQL% %SQLHOST% -d %DB% -I -E -n -b -i  %TEMP%\_%PROG%.sql 
if NOT %ERRORLEVEL% EQU 0  goto Error
GOTO No_Error

:UPDATE_MDB_2K5
echo database version: 2005
GOTO UPDATE_2K5_OR_2K8_OR_2K12_OR_2K14_OR_2K16

:UPDATE_MDB_2K8
echo database version: 2008
GOTO UPDATE_2K5_OR_2K8_OR_2K12_OR_2K14_OR_2K16

:UPDATE_MDB_2K12
echo database version: 2012
GOTO UPDATE_2K5_OR_2K8_OR_2K12_OR_2K14_OR_2K16

:UPDATE_MDB_2K14
echo database version: 2014
GOTO UPDATE_2K5_OR_2K8_OR_2K12_OR_2K14_OR_2K16

:UPDATE_MDB_2K16
echo database version: 2016
GOTO UPDATE_2K5_OR_2K8_OR_2K12_OR_2K14_OR_2K16

:UPDATE_2K5_OR_2K8_OR_2K12_OR_2K14_OR_2K16

echo %date% %time% Index rebuild
@REM
echo %date% %time% %WCMD% %MS_OSQL% %SQLHOST% -d %DB% -I -E -n -b -i %TEMP%\_%PROG%.sql
@REM																			
echo.                                                                           >%TEMP%\_%PROG%.sql
@REM		
echo SET NOCOUNT ON;                                                                                 >>%TEMP%\_%PROG%.sql
echo select getdate(), '  start of index defragmentation';                                           >>%TEMP%\_%PROG%.sql
echo GO                                                                                              >>%TEMP%\_%PROG%.sql
echo DECLARE @objectid int;                                                                          >>%TEMP%\_%PROG%.sql
echo DECLARE @indexid int;                                                                           >>%TEMP%\_%PROG%.sql
echo DECLARE @partitioncount bigint;                                                                 >>%TEMP%\_%PROG%.sql
echo DECLARE @schemaname sysname;                                                                    >>%TEMP%\_%PROG%.sql
echo DECLARE @objectname sysname;                                                                    >>%TEMP%\_%PROG%.sql
echo DECLARE @oldobjectname sysname;                                                                 >>%TEMP%\_%PROG%.sql
echo DECLARE @indexname sysname;                                                                     >>%TEMP%\_%PROG%.sql
echo DECLARE @partitionnum bigint;                                                                   >>%TEMP%\_%PROG%.sql
echo DECLARE @partitions bigint;                                                                     >>%TEMP%\_%PROG%.sql
echo DECLARE @rebuild char(10);                                                                      >>%TEMP%\_%PROG%.sql
echo DECLARE @frag float;                                                                            >>%TEMP%\_%PROG%.sql
echo DECLARE @command varchar(8000);                                                                 >>%TEMP%\_%PROG%.sql
echo DECLARE @maxfrag   DECIMAL                                                                      >>%TEMP%\_%PROG%.sql
echo DECLARE @mmaxfrag  DECIMAL                                                                      >>%TEMP%\_%PROG%.sql
echo DECLARE @nrpages   DECIMAL                                                                      >>%TEMP%\_%PROG%.sql
echo.                                                                                                >>%TEMP%\_%PROG%.sql
echo.                                                                                                >>%TEMP%\_%PROG%.sql
echo -- Decide on the maximum fragmentation to allow                                                 >>%TEMP%\_%PROG%.sql
echo set @maxfrag =  %MAXFRAG%                                                                       >>%TEMP%\_%PROG%.sql
echo set @mmaxfrag = %MMAXFRAG%                                                                      >>%TEMP%\_%PROG%.sql
echo set @nrpages =  %PAGECOUNT%                                                                     >>%TEMP%\_%PROG%.sql
echo set @rebuild =  '%DO_REINDEX%'                                                                  >>%TEMP%\_%PROG%.sql
echo.                                                                                                >>%TEMP%\_%PROG%.sql
echo.                                                                                                >>%TEMP%\_%PROG%.sql
echo -- Conditionally select tables and indexes from the sys.dm_db_index_physical_stats function     >>%TEMP%\_%PROG%.sql
echo -- and convert object and index IDs to names.                                                   >>%TEMP%\_%PROG%.sql
echo SELECT                                                                                          >>%TEMP%\_%PROG%.sql
echo     object_id AS objectid,                                                                      >>%TEMP%\_%PROG%.sql
echo     index_id AS indexid,                                                                        >>%TEMP%\_%PROG%.sql
echo     partition_number AS partitionnum,                                                           >>%TEMP%\_%PROG%.sql
echo     avg_fragmentation_in_percent AS frag                                                        >>%TEMP%\_%PROG%.sql
echo INTO #work_to_do                                                                                >>%TEMP%\_%PROG%.sql
echo FROM sys.dm_db_index_physical_stats (DB_ID(), NULL, NULL , NULL, 'LIMITED')                     >>%TEMP%\_%PROG%.sql
echo WHERE avg_fragmentation_in_percent ^> @maxfrag AND index_id ^> 0                                >>%TEMP%\_%PROG%.sql
echo       and page_count ^>=%PAGECOUNT%;                                                            >>%TEMP%\_%PROG%.sql
echo -- Declare the cursor for the list of partitions to be processed.                               >>%TEMP%\_%PROG%.sql
echo DECLARE partitions CURSOR FOR                                                                   >>%TEMP%\_%PROG%.sql
echo    SELECT w.* FROM #work_to_do w, syspermissions p,sysobjects o, INFORMATION_SCHEMA.TABLES i    >>%TEMP%\_%PROG%.sql
echo       where p.grantee=user_id('ca_itrm_group')                                                  >>%TEMP%\_%PROG%.sql
echo          and p.id=o.id and o.xtype='U'                                                          >>%TEMP%\_%PROG%.sql
echo          and w.objectid=p.id                                                                   >>%TEMP%\_%PROG%.sql
echo          and i.TABLE_NAME=o.name and i.TABLE_SCHEMA='dbo'                                       >>%TEMP%\_%PROG%.sql 
echo       order by o.name                                                                           >>%TEMP%\_%PROG%.sql
echo.                                                                                                >>%TEMP%\_%PROG%.sql
echo.                                                                                                >>%TEMP%\_%PROG%.sql
echo -- Open the cursor.                                                                             >>%TEMP%\_%PROG%.sql
echo OPEN partitions;                                                                                >>%TEMP%\_%PROG%.sql
echo.                                                                                                >>%TEMP%\_%PROG%.sql
echo -- Loop through the partitions.                                                                 >>%TEMP%\_%PROG%.sql
echo FETCH NEXT                                                                                      >>%TEMP%\_%PROG%.sql
echo    FROM partitions                                                                              >>%TEMP%\_%PROG%.sql
echo    INTO @objectid, @indexid, @partitionnum, @frag;                                              >>%TEMP%\_%PROG%.sql
echo.                                                                                                >>%TEMP%\_%PROG%.sql
echo    set @oldobjectname = '';                                                                     >>%TEMP%\_%PROG%.sql
echo.                                                                                                >>%TEMP%\_%PROG%.sql
echo WHILE @@FETCH_STATUS = 0                                                                        >>%TEMP%\_%PROG%.sql
echo     BEGIN;                                                                                      >>%TEMP%\_%PROG%.sql
echo         SELECT @objectname = o.name, @schemaname = s.name                                       >>%TEMP%\_%PROG%.sql
echo         FROM sys.objects AS o                                                                   >>%TEMP%\_%PROG%.sql
echo         JOIN sys.schemas as s ON s.schema_id = o.schema_id                                      >>%TEMP%\_%PROG%.sql
echo         WHERE o.object_id = @objectid;                                                          >>%TEMP%\_%PROG%.sql
echo.                                                                                                >>%TEMP%\_%PROG%.sql
echo         IF @oldobjectname = ''                                                                  >>%TEMP%\_%PROG%.sql
echo             set @oldobjectname = @objectname;                                                   >>%TEMP%\_%PROG%.sql
echo.                                                                                                >>%TEMP%\_%PROG%.sql
echo         SELECT @indexname = name                                                                >>%TEMP%\_%PROG%.sql
echo         FROM sys.indexes                                                                        >>%TEMP%\_%PROG%.sql
echo         WHERE  object_id = @objectid AND index_id = @indexid;                                   >>%TEMP%\_%PROG%.sql
echo.                                                                                                >>%TEMP%\_%PROG%.sql
echo         SELECT @partitioncount = count (*)                                                      >>%TEMP%\_%PROG%.sql
echo         FROM sys.partitions                                                                     >>%TEMP%\_%PROG%.sql
echo         WHERE object_id = @objectid AND index_id = @indexid;                                    >>%TEMP%\_%PROG%.sql
echo.                                                                                                >>%TEMP%\_%PROG%.sql
echo -- 30 is an arbitrary decision point at which to switch between reorganizing and rebuilding     >>%TEMP%\_%PROG%.sql
echo IF @rebuild='no'                                                                                >>%TEMP%\_%PROG%.sql
echo     BEGIN;                                                                                      >>%TEMP%\_%PROG%.sql
echo     SELECT @command = 'ALTER INDEX ' + @indexname + ' ON ' + @schemaname + '.' + @objectname    >>%TEMP%\_%PROG%.sql
echo           + ' REORGANIZE';                                                                      >>%TEMP%\_%PROG%.sql
echo     IF @partitioncount ^> 1                                                                     >>%TEMP%\_%PROG%.sql
echo         SELECT @command = @command + ' PARTITION=' + CONVERT (CHAR, @partitionnum);             >>%TEMP%\_%PROG%.sql
echo     EXEC (@command);                                                                            >>%TEMP%\_%PROG%.sql
echo     END;                                                                                        >>%TEMP%\_%PROG%.sql
echo.                                                                                                >>%TEMP%\_%PROG%.sql
echo IF @rebuild='yes'                                                                               >>%TEMP%\_%PROG%.sql
echo     BEGIN;                                                                                      >>%TEMP%\_%PROG%.sql
echo     SELECT @command = 'ALTER INDEX ' + @indexname +' ON ' + @schemaname + '.' + @objectname     >>%TEMP%\_%PROG%.sql
echo            + ' REBUILD'                                                                         >>%TEMP%\_%PROG%.sql

if NOT "%ON_ONLINE_SET%" == "yes" goto SET_OFFLINE
echo            + ' with (ONLINE=ON)'                                                                >>%TEMP%\_%PROG%.sql
:SET_OFFLINE
if NOT "%ON_OFFLINE_SET%" == "yes" goto END_ONLINE_OFFLINE
echo            + ' with (ONLINE=OFF)'                                                               >>%TEMP%\_%PROG%.sql
:END_ONLINE_OFFLINE
echo                              ;                                                                  >>%TEMP%\_%PROG%.sql

echo     IF @partitioncount ^> 1                                                                     >>%TEMP%\_%PROG%.sql
echo         SELECT @command = @command + ' PARTITION=' + CONVERT (CHAR, @partitionnum);             >>%TEMP%\_%PROG%.sql
echo     EXEC (@command);                                                                            >>%TEMP%\_%PROG%.sql
echo     END;                                                                                        >>%TEMP%\_%PROG%.sql
echo PRINT 'Executed ' + @command;                                                                   >>%TEMP%\_%PROG%.sql
echo.                                                                                                >>%TEMP%\_%PROG%.sql
echo FETCH NEXT FROM partitions INTO @objectid, @indexid, @partitionnum, @frag;                      >>%TEMP%\_%PROG%.sql
echo    if ( @objectname != @oldobjectname )                                                         >>%TEMP%\_%PROG%.sql             
echo    BEGIN                                                                                        >>%TEMP%\_%PROG%.sql 
echo    	PRINT 'Executing sp_recompile ''' + RTRIM(@oldobjectname) + ''''                         >>%TEMP%\_%PROG%.sql 
echo    	SELECT @command = 'sp_recompile ''' + RTRIM(@oldobjectname) + ''''                       >>%TEMP%\_%PROG%.sql 
echo    	EXEC (@command)                                                                          >>%TEMP%\_%PROG%.sql 
echo        set @oldobjectname = @objectname                                                         >>%TEMP%\_%PROG%.sql
echo    END                                                                                          >>%TEMP%\_%PROG%.sql 
echo.                                                                                                >>%TEMP%\_%PROG%.sql
echo END;                                                                                            >>%TEMP%\_%PROG%.sql
echo -- Close and deallocate the cursor.                                                             >>%TEMP%\_%PROG%.sql
echo CLOSE partitions;                                                                               >>%TEMP%\_%PROG%.sql
echo DEALLOCATE partitions;                                                                          >>%TEMP%\_%PROG%.sql
echo.                                                                                                >>%TEMP%\_%PROG%.sql
echo -- Drop the temporary table                                                                     >>%TEMP%\_%PROG%.sql
echo DROP TABLE #work_to_do                                                                          >>%TEMP%\_%PROG%.sql
echo GO                                                                                              >>%TEMP%\_%PROG%.sql 
echo.                                                                                                >>%TEMP%\_%PROG%.sql
echo select getdate(), '  defragmentation of indexes done'                                 >>%TEMP%\_%PROG%.sql 
echo GO                                                                                    >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Start update usage                                                                 >>%TEMP%\_%PROG%.sql 
echo select 'dbcc updateusage (''%DB%'')' 										>>%TEMP%\_%PROG%.sql 
echo GO    																		>>%TEMP%\_%PROG%.sql 
echo dbcc updateusage ('%DB%') 													>>%TEMP%\_%PROG%.sql 
echo GO    																		>>%TEMP%\_%PROG%.sql 
echo select 'update statistics' 				     						    >>%TEMP%\_%PROG%.sql 
echo GO    																		>>%TEMP%\_%PROG%.sql 
echo sp_updatestats 															>>%TEMP%\_%PROG%.sql 
echo GO    																		>>%TEMP%\_%PROG%.sql 



@REM
%WCMD% %MS_OSQL% %SQLHOST% -d %DB% -I -E -n -b -i  %TEMP%\_%PROG%.sql 
if NOT %ERRORLEVEL% EQU 0  goto Error
GOTO No_Error



:UPDATE_MDB
echo %date% %time% Index rebuild
@REM
echo %date% %time% %WCMD% %MS_OSQL% %SQLHOST% -d %DB% -I -E -n -b -i %TEMP%\_%PROG%.sql
@REM																			
echo.                                                                  >%TEMP%\_%PROG%.sql
@REM																			
echo /*Perform a 'USE database name' to select the database in which to run the script.*/  >>%TEMP%\_%PROG%.sql 
echo -- Declare variables                                                                  >>%TEMP%\_%PROG%.sql 
echo SET NOCOUNT ON                                                                        >>%TEMP%\_%PROG%.sql 
echo select  getdate(), '  start index rebuild'                                             >>%TEMP%\_%PROG%.sql 
echo GO                                                                                    >>%TEMP%\_%PROG%.sql 
echo DECLARE @tablename VARCHAR (128)                                                      >>%TEMP%\_%PROG%.sql 
echo DECLARE @execstr   VARCHAR (255)                                                      >>%TEMP%\_%PROG%.sql 
echo DECLARE @objectid  INT                                                                >>%TEMP%\_%PROG%.sql 
echo DECLARE @frag      DECIMAL                                                            >>%TEMP%\_%PROG%.sql 
echo DECLARE @maxfrag   DECIMAL                                                            >>%TEMP%\_%PROG%.sql 
echo DECLARE @mmaxfrag  DECIMAL                                                            >>%TEMP%\_%PROG%.sql 
echo DECLARE @nrpages   DECIMAL                                                            >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Decide on the maximum fragmentation to allow                                       >>%TEMP%\_%PROG%.sql 
echo set @maxfrag  = %MAXFRAG%                                                             >>%TEMP%\_%PROG%.sql 
echo set @mmaxfrag = %MMAXFRAG%                                                            >>%TEMP%\_%PROG%.sql 
echo set @nrpages  = %PAGECOUNT%                                                           >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Declare cursor                                                                     >>%TEMP%\_%PROG%.sql 
echo DECLARE tables CURSOR FOR                                                             >>%TEMP%\_%PROG%.sql 
echo select o.name as TABLE_NAME                                                           >>%TEMP%\_%PROG%.sql 
echo 	from syspermissions p,sysobjects o, INFORMATION_SCHEMA.TABLES i                    >>%TEMP%\_%PROG%.sql 
echo 	where p.grantee=user_id('ca_itrm_group')                                           >>%TEMP%\_%PROG%.sql 
echo 		and p.id=o.id and o.xtype='U'                                                  >>%TEMP%\_%PROG%.sql 
echo        and i.TABLE_NAME=o.name and i.TABLE_SCHEMA='dbo'                               >>%TEMP%\_%PROG%.sql 
echo 	order by o.name                                                                    >>%TEMP%\_%PROG%.sql 
echo /*   SELECT TABLE_NAME                                                                >>%TEMP%\_%PROG%.sql 
echo    FROM INFORMATION_SCHEMA.TABLES                                                     >>%TEMP%\_%PROG%.sql 
echo    WHERE TABLE_TYPE = 'BASE TABLE'                                                    >>%TEMP%\_%PROG%.sql 
echo */                                                                                    >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Create the table                                                                   >>%TEMP%\_%PROG%.sql 
echo CREATE TABLE #fraglist (                                                              >>%TEMP%\_%PROG%.sql 
echo    ObjectName CHAR (255),                                                             >>%TEMP%\_%PROG%.sql 
echo    ObjectId INT,                                                                      >>%TEMP%\_%PROG%.sql 
echo    IndexName CHAR (255),                                                              >>%TEMP%\_%PROG%.sql 
echo    IndexId INT,                                                                       >>%TEMP%\_%PROG%.sql 
echo    Lvl INT,                                                                           >>%TEMP%\_%PROG%.sql 
echo    CountPages INT,                                                                    >>%TEMP%\_%PROG%.sql 
echo    CountRows INT,                                                                     >>%TEMP%\_%PROG%.sql 
echo    MinRecSize INT,                                                                    >>%TEMP%\_%PROG%.sql 
echo    MaxRecSize INT,                                                                    >>%TEMP%\_%PROG%.sql 
echo    AvgRecSize INT,                                                                    >>%TEMP%\_%PROG%.sql 
echo    ForRecCount INT,                                                                   >>%TEMP%\_%PROG%.sql 
echo    Extents INT,                                                                       >>%TEMP%\_%PROG%.sql 
echo    ExtentSwitches INT,                                                                >>%TEMP%\_%PROG%.sql 
echo    AvgFreeBytes INT,                                                                  >>%TEMP%\_%PROG%.sql 
echo    AvgPageDensity INT,                                                                >>%TEMP%\_%PROG%.sql 
echo    ScanDensity DECIMAL,                                                               >>%TEMP%\_%PROG%.sql 
echo    BestCount INT,                                                                     >>%TEMP%\_%PROG%.sql 
echo    ActualCount INT,                                                                   >>%TEMP%\_%PROG%.sql 
echo    LogicalFrag DECIMAL,                                                               >>%TEMP%\_%PROG%.sql 
echo    ExtentFrag DECIMAL)                                                                >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Open the cursor                                                                    >>%TEMP%\_%PROG%.sql 
echo OPEN tables                                                                           >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Loop through all the tables in the database                                        >>%TEMP%\_%PROG%.sql 
echo FETCH NEXT                                                                            >>%TEMP%\_%PROG%.sql 
echo    FROM tables                                                                        >>%TEMP%\_%PROG%.sql 
echo    INTO @tablename                                                                    >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo WHILE @@FETCH_STATUS = 0                                                              >>%TEMP%\_%PROG%.sql 
echo BEGIN                                                                                 >>%TEMP%\_%PROG%.sql 
echo -- Do the showcontig of all indexes of the table                                      >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo    INSERT INTO #fraglist                                                              >>%TEMP%\_%PROG%.sql 
echo    EXEC ('DBCC SHOWCONTIG (''' + @tablename + ''')                                    >>%TEMP%\_%PROG%.sql 
echo       WITH FAST, TABLERESULTS,  NO_INFOMSGS')                                         >>%TEMP%\_%PROG%.sql 
echo    FETCH NEXT                                                                         >>%TEMP%\_%PROG%.sql 
echo       FROM tables                                                                     >>%TEMP%\_%PROG%.sql 
echo       INTO @tablename                                                                 >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo END                                                                                   >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Close and deallocate the cursor                                                    >>%TEMP%\_%PROG%.sql 
echo CLOSE tables                                                                          >>%TEMP%\_%PROG%.sql 
echo DEALLOCATE tables                                                                     >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Declare cursor for list of indexes to be defragged                                 >>%TEMP%\_%PROG%.sql 
echo DECLARE indexes CURSOR FOR                                                            >>%TEMP%\_%PROG%.sql 
echo SELECT max(LogicalFrag), ObjectName, ObjectId                                         >>%TEMP%\_%PROG%.sql 
echo   FROM #fraglist                                                                      >>%TEMP%\_%PROG%.sql 
echo   WHERE  INDEXPROPERTY (ObjectId, IndexName, 'IndexDepth') ^> 0                       >>%TEMP%\_%PROG%.sql 
echo	    and CountPages ^>=@nrpages                                                     >>%TEMP%\_%PROG%.sql 
echo	group by ObjectName, ObjectId, LogicalFrag                                         >>%TEMP%\_%PROG%.sql 
echo	having max(LogicalFrag) ^>= @maxfrag                                               >>%TEMP%\_%PROG%.sql 
echo           and max(LogicalFrag) ^<= @mmaxfrag                                          >>%TEMP%\_%PROG%.sql  
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Open the cursor                                                                    >>%TEMP%\_%PROG%.sql 
echo OPEN indexes                                                                          >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- loop through the indexes                                                           >>%TEMP%\_%PROG%.sql 
echo FETCH NEXT                                                                            >>%TEMP%\_%PROG%.sql 
echo    FROM indexes                                                                       >>%TEMP%\_%PROG%.sql 
echo    INTO @frag, @tablename, @objectid                                                  >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo WHILE @@FETCH_STATUS = 0                                                              >>%TEMP%\_%PROG%.sql 
echo BEGIN                                                                                 >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo    PRINT 'Executing DBCC DREINDEX (' + RTRIM(@tablename) + ')                         >>%TEMP%\_%PROG%.sql 
echo       - fragmentation currently '                                                     >>%TEMP%\_%PROG%.sql 
echo        + RTRIM(CONVERT(varchar(15),@frag)) + '%%'                                     >>%TEMP%\_%PROG%.sql 
if NOT "%FILLFACTOR%" == "" goto FILLFACTOR
echo    SELECT @execstr = 'dbcc dbreindex(''' + RTRIM(@tablename) + ''')'                  >>%TEMP%\_%PROG%.sql 
goto ENDFILLFACTOR
:FILLFACTOR
echo    SELECT @execstr = 'dbcc dbreindex( ''' + RTRIM(@tablename) + ''' , '''', %FILLFACTOR%)'  >>%TEMP%\_%PROG%.sql 
:ENDFILLFACTOR
echo    EXEC (@execstr)                                                                    >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo    PRINT 'Executing sp_recompile ''' + RTRIM(@tablename) + ''''                       >>%TEMP%\_%PROG%.sql 
echo    SELECT @execstr = 'sp_recompile ''' + RTRIM(@tablename) + ''''                     >>%TEMP%\_%PROG%.sql 
echo    EXEC (@execstr)                                                                    >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo    FETCH NEXT                                                                         >>%TEMP%\_%PROG%.sql 
echo       FROM indexes                                                                    >>%TEMP%\_%PROG%.sql 
echo       INTO @frag, @tablename, @objectid                                               >>%TEMP%\_%PROG%.sql 
echo END                                                                                   >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Close and deallocate the cursor                                                    >>%TEMP%\_%PROG%.sql 
echo CLOSE indexes                                                                         >>%TEMP%\_%PROG%.sql 
echo DEALLOCATE indexes                                                                    >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Delete the temporary table                                                         >>%TEMP%\_%PROG%.sql 
echo DROP TABLE #fraglist                                                                  >>%TEMP%\_%PROG%.sql 
echo GO                                                                                    >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo select  getdate(), '  rebuilding of indexes done'                                     >>%TEMP%\_%PROG%.sql 
echo GO                                                                                    >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Start update usage                                                                 >>%TEMP%\_%PROG%.sql 
echo select  getdate(), '  start update usage: dbcc updateusage (0)'                       >>%TEMP%\_%PROG%.sql 
echo GO                                                                                    >>%TEMP%\_%PROG%.sql 
echo dbcc updateusage (0) with COUNT_ROWS                                                  >>%TEMP%\_%PROG%.sql 
echo GO                                                                                    >>%TEMP%\_%PROG%.sql 
echo select  getdate(), '  end of update usage'                                             >>%TEMP%\_%PROG%.sql 
echo GO                                                                                    >>%TEMP%\_%PROG%.sql 
echo.                                                                                      >>%TEMP%\_%PROG%.sql 
echo -- Start update usage                                                                 >>%TEMP%\_%PROG%.sql 
echo select  getdate(), '  start update statistics'                                         >>%TEMP%\_%PROG%.sql 
echo GO                                                                                    >>%TEMP%\_%PROG%.sql 
echo sp_updatestats                                                                        >>%TEMP%\_%PROG%.sql 
echo GO                                                                                    >>%TEMP%\_%PROG%.sql 
echo select  getdate(), '  end of update statistics'                                        >>%TEMP%\_%PROG%.sql 
echo GO                                                                                    >>%TEMP%\_%PROG%.sql 



@REM
%WCMD% %MS_OSQL% %SQLHOST% -d %DB% -I -E -n -b -i  %TEMP%\_%PROG%.sql 
if NOT %ERRORLEVEL% EQU 0  goto Error
GOTO No_Error

:No_Error
echo %date% %time% %PROG% finshed 
%DEL% %TEMP%\_%PROG%.sql 
set MYERRORLEVEL=0
goto Done


:usage

echo.
echo	Usage: %PROG%  [-pagecount=0-...] [-maxfrag=0-100] [ -usereindex [-offline] ]
echo	               [ { local ^| serverName} [mdbName] ]
echo			Variable %%TEMP%% has to be set
echo.
echo.		The option offline is only supported with SQL Server 2005
echo.
set MYERRORLEVEL=1	
goto Done


:Error
echo %date% %time% %PROG% failed 
%DEL% %TEMP%\_%PROG%.sql 
set MYERRORLEVEL=1
goto Done


:Done
IF EXIST %TEMP%\dsmsqllogin_srvversion.sql del %TEMP%\dsmsqllogin_srvversion.sql >nul
IF EXIST %TEMP%\dsmsqllogin_srvversion.txt del %TEMP%\dsmsqllogin_srvversion.txt >nul

echo.
exit /B %MYERRORLEVEL%


@REM ====================== OPTIONS =========================================

:CHECK_OPTIONS

set CO_NEXT=CHECK_OPTIONS
if "%~1" == "-pagecount" 	goto SET_PAGECOUNT
if "%~1" == "-maxfrag" 		goto SET_MAXFRAG
if "%~1" == "-mmaxfrag" 	goto SET_MMAXFRAG
if "%~1" == "-fillfactor" 	goto SET_FILLFACTOR
if "%~1" == "-usereindex" 	goto SET_USEREINDEX
if "%~1" == "-online" 	    goto SET_ONLINE
if "%~1" == "-offline" 	    goto SET_OFFLINE
if "%~1" == "-?" 			goto usage
if "%~1" == "-?" 			goto usage
goto %NEXT%




:SET_PAGECOUNT
SHIFT
if (%1%) == () goto usage
set PAGECOUNT=%1
SHIFT
goto %CO_NEXT%


:SET_MAXFRAG
SHIFT
if (%1%) == () goto usage
set MAXFRAG=%1
SHIFT
goto %CO_NEXT%


:SET_MMAXFRAG
SHIFT
if (%1%) == () goto usage
set MMAXFRAG=%1
SHIFT
goto %CO_NEXT%


:SET_FILLFACTOR
SHIFT
if (%1%) == () goto usage
set FILLFACTOR=%1
SHIFT

goto %CO_NEXT%

:SET_USEREINDEX
SHIFT
set DO_REINDEX=yes

goto %CO_NEXT%


:SET_ONLINE
SHIFT
set DO_ONLINE=yes
set DO_OFFLINE=no
if "%ON_OFFLINE_SET%" == "yes" goto usage
set ON_OFFLINE_SET=yes

goto %CO_NEXT%


:SET_OFFLINE
SHIFT
set DO_OFFLINE=yes
set DO_ONLINE=no
if "%ON_OFFLINE_SET%" == "yes" goto usage
set ON_OFFLINE_SET=yes

goto %CO_NEXT%


