
/* ************************** 12138 begin **************/

-- IP 2415/Itrac 12138 
-- In r11_2 GA edition we need the ca_itrm user to be member of 
--		db_ddladmin and db_securityadmin on SQL Server. 
-- In this IP solution we are using the sp_changeobjectowner procedure on SQL Server 
-- to modify ownership of a runtime generated stored procedure
sp_addrolemember 'db_securityadmin','ca_itrm'
go
sp_addrolemember 'db_securityadmin','ca_itrm_group'
go
/* ************************** 12138 end ***************/




/* ************************** 8168 begin **************/
/* grant roles for ca_itrm.
	used for replication
*/
sp_addrolemember 'db_ddladmin','ca_itrm'
go
sp_addrolemember 'db_ddladmin','ca_itrm_group'
go

GRANT	 CREATE PROCEDURE ,  CREATE RULE  TO [ca_itrm_group]
GO

/* ************************** 8168 end **************/


-- start of iTrack 31644 fix
/*
 * STEP3 : post install (repair it)
 */
-- save the item data
insert into dbo.inv_protection_item
(
object_uuid,
	item_parent_id,
	item_name_id,
	item_root_id,
	item_root_name_id,
	item_parent_name_id,
	item_index,
	item_type,
	item_format,
	item_value_text,
	item_previous_value_text,
	item_value_long,
	item_previous_value_long,
	item_value_double,
	item_previous_value_double,
	item_date,
	item_lock,
	domain_uuid,
	object_type,
	tenant_id
)
select
	object_uuid,
	item_parent_id,
	item_name_id,
	item_root_id,
	item_root_name_id,
	item_parent_name_id,
	item_index,
	item_type,
	item_format,
	item_value_text,
	item_previous_value_text,
	item_value_long,
	item_previous_value_long,
	item_value_double,
	item_previous_value_double,
	item_date,
	item_lock,
	domain_uuid,
	object_type,
	tenant_id
from dbo.bk_inv_protection_item
go


insert into dbo.inv_protection_tree
(
object_uuid,
	item_id,
	item_root_id,
	item_parent_id,
	item_parent_name_id,
	item_indent,
	item_index,
	item_flag,
	item_root_name_id,
	domain_uuid,
	item_name_id,
	object_type,
	tenant_id
)
select 
	object_uuid,
	item_id,
	item_root_id,
	item_parent_id,
	item_parent_name_id,
	item_indent,
	item_index,
	item_flag,
	item_root_name_id,
	domain_uuid,
	item_name_id,
	object_type,
	tenant_id
from dbo.bk_inv_protection_tree
go

	
-- drop the old tables  making trouble
drop table dbo.bk_inv_protection_tree
go
drop table dbo.bk_inv_protection_item
go
-- end of iTrack 31644 fix


--- create uuid_to_char function ------
IF OBJECT_ID('dbo.uuid_to_char','FN') IS NULL 
EXEC ( 'CREATE FUNCTION [dbo].[uuid_to_char](@string uniqueidentifier )  RETURNS varchar(36) AS  BEGIN RETURN CONVERT(varchar(36), @string) END')
GO

grant execute on dbo.uuid_to_char to ca_itrm_group
GO


--- start of Initialise ca_settings for Intellisigs ---
IF  NOT EXISTS (SELECT * FROM ca_settings WHERE set_id = 14)
INSERT INTO ca_settings (set_id,set_val_lng) VALUES (14, 0);
GO

IF  NOT EXISTS (SELECT * FROM ca_settings WHERE set_id = 15)
INSERT INTO ca_settings (set_id,set_val_lng) VALUES (15, 0);
GO

IF  NOT EXISTS (SELECT * FROM ca_settings WHERE set_id = 16)
INSERT INTO ca_settings (set_id,set_val_lng) VALUES (16, 0);
GO

IF  NOT EXISTS (SELECT * FROM ca_settings WHERE set_id = 17)
INSERT INTO ca_settings (set_id,set_val_lng) VALUES (17, 0);
GO
--- end of Initialise ca_settings for Intellisigs ---



/* reset last delete and last host tag update */
DELETE FROM ca_settings WHERE set_id=60
GO
INSERT INTO ca_settings (set_id, set_val_lng) VALUES (60, 0)
GO
DELETE FROM ca_settings WHERE set_id=61
GO
INSERT INTO ca_settings (set_id, set_val_lng) VALUES (61, 0)
GO
DELETE FROM ca_settings WHERE set_id=62
GO
INSERT INTO ca_settings (set_id, set_val_lng) VALUES (62, 0)
GO

