SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 14611472 CPCM:WRONG DATA TYPES			                        */
/*                                                                                      */
/****************************************************************************************/

CREATE TABLE tmp_ueuserdata AS SELECT
       uecheckedout,
       uecheckedouttime,
       uedbid,
       uemodtime,
       uenumemptyrequired,
       uepubstage,
       uepubtime,
       uebrowsescreensize,
       TO_CHAR(uecanassigntodo) uecanassigntodo,
       ueemail,
       uefax,
       uefirstname,
       uefontsize,
       TO_CHAR(ueincontextedit) ueincontextedit,
       uelastname,
       TO_CHAR(ueldapuser) ueldapuser,
       uelongchoosethresh,
       uepassword,
       uephone,
       TO_CHAR(ueuseapplets) ueuseapplets,
       ueusername
FROM ueuserdata;

DROP TABLE UEUSERDATA;

CREATE TABLE UEUSERDATA (
       uecheckedout         NUMBER NULL,
       uecheckedouttime     DATE NULL,
       uedbid               NUMBER NOT NULL,
       uemodtime            DATE NULL,
       uenumemptyrequired   NUMBER NULL,
       uepubstage           NUMBER NULL,
       uepubtime            DATE NULL,
       uebrowsescreensize   NUMBER NULL,
       uecanassigntodo      CHAR(1) NULL,
       ueemail              VARCHAR2(255) NULL,
       uefax                VARCHAR2(255) NULL,
       uefirstname          VARCHAR2(255) NULL,
       uefontsize           NUMBER NULL,
       ueincontextedit      CHAR(1) NULL,
       uelastname           VARCHAR2(255) NULL,
       ueldapuser           CHAR(1) NULL,
       uelongchoosethresh   NUMBER NULL,
       uepassword           VARCHAR2(8) NULL,
       uephone              VARCHAR2(255) NULL,
       ueuseapplets         CHAR(1) NULL,
       ueusername           VARCHAR2(255) NOT NULL
);

CREATE UNIQUE INDEX baseidx_ueuserdata ON ueuserdata
(
       uedbid                         ASC
) tablespace &2 ;

CREATE INDEX uefdb511308a ON ueuserdata
(
       ueusername                     ASC
) tablespace &2 ;



CREATE TABLE tmp_uepersonalizationdata AS SELECT
       uecheckedout,
       uecheckedouttime,
       uedbid,
       uemodtime,
       uenumemptyrequired,
       uepubstage,
       uepubtime,
       ueattributename,
       TO_CHAR(uebooleanvalue) uebooleanvalue,
       uedatacolumnname,
       uedbidlvalue,
       uedbidvalue,
       ueintvalue,
       uetextstoryvalue,
       uetextvalue,
       ueuserdbid
 FROM uepersonalizationdata;

DROP TABLE UEPERSONALIZATIONDATA;

CREATE TABLE UEPERSONALIZATIONDATA (
       uecheckedout         NUMBER NULL,
       uecheckedouttime     DATE NULL,
       uedbid               NUMBER NOT NULL,
       uemodtime            DATE NULL,
       uenumemptyrequired   NUMBER NULL,
       uepubstage           NUMBER NULL,
       uepubtime            DATE NULL,
       ueattributename      VARCHAR2(255) NOT NULL,
       uebooleanvalue       CHAR(1) NULL,
       uedatacolumnname     VARCHAR2(255) NULL,
       uedbidlvalue         VARCHAR2(1000) NULL,
       uedbidvalue          NUMBER NULL,
       ueintvalue           NUMBER NULL,
       uetextstoryvalue     VARCHAR2(4000) NULL,
       uetextvalue          VARCHAR2(255) NULL,
       ueuserdbid           NUMBER NOT NULL
);

CREATE UNIQUE INDEX baseidx_uepersonalizationdata ON uepersonalizationdata
(
       uedbid                         ASC
) tablespace &2 ;

CREATE UNIQUE INDEX uefdb511308f ON uepersonalizationdata
(
       ueattributename                ASC,
       ueuserdbid                     ASC,
       ueintvalue                     ASC
) tablespace &2 ;



CREATE TABLE tmp_uemdiddata AS SELECT
       uecheckedout,
       uecheckedouttime,
       uedbid,
       uemodtime,
       uenumemptyrequired,
       uepubstage,
       uepubtime,
       TO_CHAR(uecache) uecache,
       uedescription,
       uekeyname1,
       uekeyname2,
       uekeyname3,
       uename,
       uenameplural,
       ueparams,
       uepublicationstage,
       uereadpermission,
       uetablename,
       uewritepermission
FROM uemdiddata;

DROP TABLE uemdiddata;

CREATE TABLE UEMDIDDATA (
       uecheckedout         NUMBER NULL,
       uecheckedouttime     DATE NULL,
       uedbid               NUMBER NOT NULL,
       uemodtime            DATE NULL,
       uenumemptyrequired   NUMBER NULL,
       uepubstage           NUMBER NULL,
       uepubtime            DATE NULL,
       uecache              CHAR(1) NULL,
       uedescription        VARCHAR2(1000) NULL,
       uekeyname1           VARCHAR2(255) NULL,
       uekeyname2           VARCHAR2(255) NULL,
       uekeyname3           VARCHAR2(255) NULL,
       uename               VARCHAR2(255) NOT NULL,
       uenameplural         VARCHAR2(255) NULL,
       ueparams             VARCHAR2(4000) NULL,
       uepublicationstage   NUMBER NULL,
       uereadpermission     VARCHAR2(1000) NULL,
       uetablename          VARCHAR2(255) NOT NULL,
       uewritepermission    VARCHAR2(1000) NULL
);

CREATE UNIQUE INDEX baseidx_uemdiddata ON uemdiddata
(
       uedbid                         ASC
) tablespace &2 ;

CREATE INDEX uefdb5113085 ON uemdiddata
(
       uename                         ASC
) tablespace &2 ;

CREATE INDEX uefdb5113086 ON uemdiddata
(
       uetablename                    ASC
) tablespace &2 ;



CREATE TABLE tmp_uewfprocessdata AS SELECT 
       uecheckedout,
       uecheckedouttime,
       uedbid ,
       uemodtime,
       uenumemptyrequired,
       uepubstage,
       uepubtime,
       ueactv,
       ueattr,
       uedesc,
       uename,
       ueowner,
       ueprocdef,
       TO_CHAR(uestate) uestate,
       uesubject
FROM uewfprocessdata;

DROP TABLE uewfprocessdata;

CREATE TABLE UEWFPROCESSDATA (
       uecheckedout         NUMBER NULL,
       uecheckedouttime     DATE NULL,
       uedbid               NUMBER NOT NULL,
       uemodtime            DATE NULL,
       uenumemptyrequired   NUMBER NULL,
       uepubstage           NUMBER NULL,
       uepubtime            DATE NULL,
       ueactv               VARCHAR2(4000) NULL,
       ueattr               VARCHAR2(4000) NULL,
       uedesc               VARCHAR2(1000) NULL,
       uename               VARCHAR2(255) NULL,
       ueowner              NUMBER NULL,
       ueprocdef            NUMBER NULL,
       uestate              CHAR(1) NULL,
       uesubject            VARCHAR2(255) NULL
);

CREATE UNIQUE INDEX baseidx_uewfprocessdata ON uewfprocessdata
(
       uedbid                         ASC
) tablespace &2 ;



CREATE TABLE tmp_uewfprocessdefdata AS SELECT 
       uecheckedout,
       uecheckedouttime,
       uedbid ,
       uemodtime,
       uenumemptyrequired,
       uepubstage,
       uepubtime ,
       ueactv,
       ueattr,
       uedesc,
       uename ,
       TO_CHAR(uestate) uestate,
       uesubject
FROM uewfprocessdefdata;

DROP TABLE uewfprocessdefdata;

CREATE TABLE uewfprocessdefdata (
       uecheckedout         NUMBER NULL,
       uecheckedouttime     DATE NULL,
       uedbid               NUMBER NOT NULL,
       uemodtime            DATE NULL,
       uenumemptyrequired   NUMBER NULL,
       uepubstage           NUMBER NULL,
       uepubtime            DATE NULL,
       ueactv               VARCHAR2(4000) NULL,
       ueattr               VARCHAR2(4000) NULL,
       uedesc               VARCHAR2(1000) NULL,
       uename               VARCHAR2(255) NULL,
       uestate              CHAR(1) NULL,
       uesubject            VARCHAR2(255) NULL
);

CREATE UNIQUE INDEX baseidx_uewfprocessdefdata ON uewfprocessdefdata
(
       uedbid                         ASC
) tablespace &2 ;



CREATE TABLE tmp_uewfworkitemdata AS SELECT
       uecheckedout,
       uecheckedouttime,
       uedbid ,
       uemodtime ,
       uenumemptyrequired,
       uepubstage,
       uepubtime ,
       TO_CHAR(ueassigned) ueassigned,
       uemsg,
       uesdate,
       ueuserid
FROM uewfworkitemdata;

DROP TABLE uewfworkitemdata;

CREATE TABLE UEWFWORKITEMDATA (
       uecheckedout         NUMBER NULL,
       uecheckedouttime     DATE NULL,
       uedbid               NUMBER NOT NULL,
       uemodtime            DATE NULL,
       uenumemptyrequired   NUMBER NULL,
       uepubstage           NUMBER NULL,
       uepubtime            DATE NULL,
       ueassigned           CHAR(1) NULL,
       uemsg                VARCHAR2(255) NULL,
       uesdate              DATE NULL,
       ueuserid             NUMBER NULL
);

CREATE UNIQUE INDEX baseidx_uewfworkitemdata ON uewfworkitemdata
(
       uedbid                         ASC
) tablespace &2 ;



CREATE TABLE tmp_ueassetfilemapdata AS SELECT
       uecheckedout,
       uecheckedouttime,
       uedbid,
       uemodtime,
       uenumemptyrequired,
       uepubstage,
       uepubtime,
       ueassetclsid,
       TO_CHAR(uedefault) uedefault,
       uefileext,
       uemajormime,
       ueminormime
FROM ueassetfilemapdata;

DROP TABLE ueassetfilemapdata;

CREATE TABLE  UEASSETFILEMAPDATA(
       uecheckedout         NUMBER NULL,
       uecheckedouttime     DATE NULL,
       uedbid               NUMBER NOT NULL,
       uemodtime            DATE NULL,
       uenumemptyrequired   NUMBER NULL,
       uepubstage           NUMBER NULL,
       uepubtime            DATE NULL,
       ueassetclsid         NUMBER NULL,
       uedefault            CHAR(1) NULL,
       uefileext            VARCHAR2(255) NULL,
       uemajormime          VARCHAR2(255) NULL,
       ueminormime          VARCHAR2(255) NULL
);

CREATE UNIQUE INDEX baseidx_ueassetfilemapdata ON ueassetfilemapdata
(
       uedbid                         ASC
) tablespace &2 ;



/* ueuserdata */
INSERT INTO UEUSERDATA SELECT * FROM tmp_ueuserdata;
DROP TABLE tmp_ueuserdata;

/* uepersonalizationdata */
INSERT INTO UEPERSONALIZATIONDATA SELECT * FROM tmp_uepersonalizationdata;
DROP TABLE tmp_uepersonalizationdata;

/* uemdiddata */
INSERT INTO UEMDIDDATA SELECT * FROM tmp_uemdiddata;
DROP TABLE tmp_uemdiddata;

/* uewfprocessdata */
INSERT INTO UEWFPROCESSDATA SELECT * FROM tmp_uewfprocessdata;
DROP TABLE tmp_uewfprocessdata;
 
/* uewfprocessdefdata */
INSERT INTO UEWFPROCESSDEFDATA SELECT * FROM tmp_uewfprocessdefdata;
DROP TABLE tmp_uewfprocessdefdata;

/* uewfworkitemdata */
INSERT INTO UEWFWORKITEMDATA SELECT * FROM tmp_uewfworkitemdata;
DROP TABLE tmp_uewfworkitemdata;


/* ueassetfilemapdata */
INSERT INTO UEASSETFILEMAPDATA SELECT * FROM tmp_ueassetfilemapdata;
DROP TABLE tmp_ueassetfilemapdata;


grant   delete   on ueuserdata to portaldba_group
;
grant   select   on ueuserdata to portaldba_group
;
grant   update   on ueuserdata to portaldba_group
;
grant   insert   on ueuserdata to portaldba_group
;
grant   delete   on uepersonalizationdata to portaldba_group
;
grant   update   on uepersonalizationdata to portaldba_group
;
grant   insert   on uepersonalizationdata to portaldba_group
;
grant   select   on uepersonalizationdata to portaldba_group
;
grant   insert   on uemdiddata to portaldba_group
;
grant   select   on uemdiddata to portaldba_group
;
grant   delete   on uemdiddata to portaldba_group
;
grant   update   on uemdiddata to portaldba_group
;
grant   delete   on uewfprocessdata to portaldba_group
;
grant   update   on uewfprocessdata to portaldba_group
;
grant   select   on uewfprocessdata to portaldba_group
;
grant   insert   on uewfprocessdata to portaldba_group
;
grant   select   on uewfprocessdefdata to portaldba_group
;
grant   insert   on uewfprocessdefdata to portaldba_group
;
grant   delete   on uewfprocessdefdata to portaldba_group
;
grant   update   on uewfprocessdefdata to portaldba_group
;
grant   delete   on uewfworkitemdata to portaldba_group
;
grant   update   on uewfworkitemdata to portaldba_group
;
grant   insert   on uewfworkitemdata to portaldba_group
;
grant   select   on uewfworkitemdata to portaldba_group
;
grant   delete   on ueassetfilemapdata to portaldba_group
;
grant   update   on ueassetfilemapdata to portaldba_group
;
grant   select   on ueassetfilemapdata to portaldba_group
;
grant   insert   on ueassetfilemapdata to portaldba_group
;

/****************************************************************************************/
/*                                                                                      */
/*  register patch                                                                      */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES (14611472, systimestamp, 1, 4, 'Star 14611472 CPCM:WRONG DATA TYPES' );

COMMIT;

EXIT SUCCESS;

