SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 14715473 COMPRESSION_TYPE/PACKAGE_TYPE						*/
/*                                                                                      */
/****************************************************************************************/


CREATE TABLE compression_type (
       compression_type_id  RAW(16) NOT NULL,
       name                 NVARCHAR2(50) NOT NULL,
       creation_user        NVARCHAR2(64) NULL,
       creation_date        NUMBER NOT NULL
);

ALTER TABLE compression_type
       ADD CONSTRAINT XPKcompression_type PRIMARY KEY (
              compression_type_id );

CREATE TABLE package_type (
       package_type_id      RAW(16) NOT NULL,
       name                 NVARCHAR2(50) NOT NULL,
       creation_user        NVARCHAR2(64) NULL,
       creation_date        NUMBER NOT NULL
);

ALTER TABLE package_type
       ADD CONSTRAINT XPKpackage_type PRIMARY KEY (
              package_type_id );


ALTER TABLE ca_download_file
       ADD CONSTRAINT ca_do_r0000059900000001
              FOREIGN KEY (compression_type_id)
                             REFERENCES compression_type  (
              compression_type_id);

ALTER TABLE ca_download_file
       ADD CONSTRAINT ca_do_r0000059900000002
              FOREIGN KEY (package_type_id)
                             REFERENCES package_type  (
              package_type_id);



/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 14715473, systimestamp, 1, 4, 'Star 14715473 COMPRESSION_TYPE/PACKAGE_TYPE' );

COMMIT;

EXIT SUCCESS;
