SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 14749700 BIT_SUPPORT*CHIP_SET MISSING						*/
/*                                                                                      */
/****************************************************************************************/


CREATE TABLE bit_support (
       bit_support_id       RAW(16) NOT NULL,
       name                 NVARCHAR2(50) NOT NULL,
       creation_user        NVARCHAR2(64) NULL,
       creation_date        NUMBER NOT NULL
);

ALTER TABLE bit_support 
       ADD CONSTRAINT XPKbit_support PRIMARY KEY (
              bit_support_id );

CREATE TABLE chip_set (
       chip_set_id          RAW(16) NOT NULL,
       name                 NVARCHAR2(50) NOT NULL,
       creation_user        NVARCHAR2(64) NULL,
       creation_date        NUMBER NOT NULL
);

ALTER TABLE chip_set
       ADD CONSTRAINT XPKchip_set PRIMARY KEY (
              chip_set_id );


ALTER TABLE ca_software_def
       ADD CONSTRAINT ca_so_r000004cf00000001
              FOREIGN KEY (bit_support_id)
                             REFERENCES bit_support  (
              bit_support_id);

ALTER TABLE ca_software_def
       ADD CONSTRAINT ca_so_r000004cf00000002
              FOREIGN KEY (chip_set_id)
                             REFERENCES chip_set  (
              chip_set_id);

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 14749700, systimestamp, 1, 4, 'Star 14749700 BIT_SUPPORT*CHIP_SET MISSING' );

COMMIT;

EXIT SUCCESS;
