SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 15705345 NEW TABLE FOR CA WORKFLOW 1.0 		*/
/*                                                                                      */
/****************************************************************************************/


ALTER TABLE instances ADD snapshotid nvarchar2(20) NULL
;

CREATE TABLE process_snapshots (
	id nvarchar2(20) NOT NULL,
	process blob NULL,
	timestamp number(38,0) NOT NULL,
	definitionid nvarchar2(20) NOT NULL,
	versionid nvarchar2(20) NOT NULL,
	productid raw(16) NOT NULL
)
;

ALTER TABLE process_snapshots
       ADD PRIMARY KEY (productid, id)
;

create index process_snapshots_ind1 on process_snapshots (productid, definitionid, versionid, timestamp) tablespace &2 
;

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 15705345, systimestamp, 1, 4, 'Star 15705345 NEW TABLE FOR CA WORKFLOW 1.0' );

COMMIT;

EXIT SUCCESS;
