SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 16255152 DSM: add urc_computer_addr for IPV6					*/
/*                                                                                      */
/****************************************************************************************/

/****** Object:  Table urc_computer_addr	Script Date: 07/25/2007 10:45:58 ******/
CREATE TABLE urc_computer_addr(
	uuid raw(16) NOT NULL,
	domain_uuid raw(16) NOT NULL,
	computer_uuid raw(16) NOT NULL,
	protocol int NOT NULL,
	flags int NOT NULL,
	/* [strAddress] = [ipaddress],[subnet mask],[mac address],[scalability server name] */
	strAddress nvarchar2(500) NOT NULL,
	auto_rep_version DATE
) 
;

alter table urc_computer_addr add  Constraint Xpk_urc_comp_addr PRIMARY KEY( uuid, domain_uuid)
;

CREATE INDEX urc_computer_addr_x0 ON urc_computer_addr(computer_uuid,domain_uuid) tablespace &2
;

ALTER TABLE urc_computer_addr
       ADD CONSTRAINT urc_computer_addr_fk0
              FOREIGN KEY (computer_uuid)
                             REFERENCES urc_computer  ("UID")
;
ALTER TABLE urc_computer_addr
       ADD CONSTRAINT urc_computer_addr_fk1
              FOREIGN KEY (domain_uuid)
                             REFERENCES ca_n_tier  (domain_uuid)
;

grant select, insert, update, delete on urc_computer_addr to ca_itrm_group
;
grant select on urc_computer_addr to ca_itrm_group_ams
;

-- the schema doesn't create a upmuser_group in the current version
--grant select on urc_computer_addr to upmuser_group
--/

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 16255152, systimestamp, 1, 4, 'Star 16255152 DSM: add urc_computer_addr for IPV6' );

COMMIT;

EXIT SUCCESS;
