SET LOCK_TIMEOUT 300000
GO
SET DEADLOCK_PRIORITY LOW
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION 
GO

/****************************************************************************************/
/*                                                                                      */
/* Star 15782572 Autosys: aggregator performance indexes				*/
/*                                                                                      */
/****************************************************************************************/

/* lock objects...  */
 
/* Start of lines added to convert to online lock */
 
 
Select top 1 1 from mdb_patch with (tablockx)
GO
 
/* Start of locks for dependent tables */
Select top 1 1 from ujo_event with (tablockx)
GO

Select top 1 1 from ujo_proc_event with (tablockx)
GO
 
Select top 1 1 from mdb_service_pack with (tablockx)
GO
 
Select top 1 1 from mdb with (tablockx)
GO
 
Select top 1 1 from mdb_checkpoint with (tablockx)
GO
 
/* End of lines added to convert to online lock */

drop INDEX ujo_event.ujo_event_idx_01 
go
drop INDEX ujo_event.ujo_event_idx_02 
go
drop INDEX ujo_event.ujo_event_idx_03 
go
drop INDEX ujo_event.ujo_event_idx_04 
go
drop INDEX ujo_event.ujo_event_idx_05 
go
drop INDEX ujo_event.ujo_event_idx_06 
go

CREATE INDEX ujo_event_idx_01 ON ujo_event (evt_num ASC)
go
CREATE INDEX ujo_event_idx_02 ON ujo_event (event_time_gmt ASC)
go
CREATE INDEX ujo_event_idx_03 ON ujo_event (joid ASC)
go

DROP INDEX ujo_proc_event.ujo_proc_event_idx_01 
go
DROP INDEX ujo_proc_event.ujo_proc_event_idx_02 
go
DROP INDEX ujo_proc_event.ujo_proc_event_idx_03 
go
DROP INDEX ujo_proc_event.ujo_proc_event_idx_04 
go

CREATE INDEX ujo_proc_event_idx_01 ON ujo_proc_event (evt_num ASC)
go
CREATE INDEX ujo_proc_event_idx_02 ON ujo_proc_event (event_time_gmt ASC)
go
CREATE INDEX ujo_proc_event_idx_03 ON ujo_proc_event (joid ASC)
go
CREATE INDEX ujo_proc_event_idx_04 ON ujo_proc_event (run_num ASC)
go

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                               	*/
/*                                                                                      */
/****************************************************************************************/
insert into mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 values ( 15782572, getdate(), 1, 4, 'Star 15782572 Autosys: aggregator performance indexes' )
GO

COMMIT TRANSACTION 
GO

