SET LOCK_TIMEOUT 300000
GO
SET DEADLOCK_PRIORITY LOW
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION 
GO

/****************************************************************************************/
/*                                                                                      */
/* Patch Star 16291505 BSO Service Delivery: r11.2 sp2 updates				*/
/*                                                                                      */
/****************************************************************************************/

/* lock objects...  */
 
/* Start of lines added to convert to online lock */
 
 
Select top 1 1 from mdb_patch with (tablockx)
GO
 
/* Start of locks for dependent tables */
 
Select top 1 1 from mdb_service_pack with (tablockx)
GO
 
Select top 1 1 from mdb with (tablockx)
GO
 
Select top 1 1 from mdb_checkpoint with (tablockx)
GO
 
Select top 1 1 from usm_rate_definition with (tablockx)
GO
 
Select top 1 1 from usm_report_data with (tablockx)
GO
 
Select top 1 1 from usm_report_dataview with (tablockx)
GO
 
Select top 1 1 from usm_report_layout with (tablockx)
GO
 
Select top 1 1 from usm_event_type with (tablockx)
GO

Select top 1 1 from usm_rate_definition with (tablockx)
GO

Select top 1 1 from usm_offering with (tablockx)
GO

/* End of lines added to convert to online lock */

/*
	-------------
	August 21, 2007
	-------------
	Service Delivery r11.2 SP1 release
	- 16206027_512 CHARACTER LIMIT
*/

ALTER TABLE [dbo].[usm_rate_definition] ALTER COLUMN [item_text] NVARCHAR(1024) NULL
GO

ALTER TABLE [dbo].[usm_report_data] ALTER COLUMN [comments] NVARCHAR(512) NULL
GO

ALTER TABLE [dbo].[usm_report_dataview] ALTER COLUMN [comments] NVARCHAR(512) NULL
GO

ALTER TABLE [dbo].[usm_report_layout] ALTER COLUMN [comments] NVARCHAR(512) NULL
GO

ALTER TABLE [dbo].[usm_event_type] ALTER COLUMN [console_msg] NVARCHAR(256) NULL
GO

ALTER TABLE [dbo].[usm_rate_definition] ALTER COLUMN [text_1] NVARCHAR(100) NULL
GO

if exists ( select o.name, i.name from sysindexes i, sysobjects o where i.name = 'usm_offering_idx001' and o.name='usm_offering' and i.id=o.id ) 
BEGIN    																							
	DROP INDEX [usm_offering].[usm_offering_idx001]
END
CREATE  INDEX [usm_offering_idx001] ON [dbo].[usm_offering](
	[is_leaf] ASC,
	[tree_level] ASC,
	[status] ASC,
	[offering_name] ASC,
	[path] ASC
) ON [PRIMARY]
GO

/* Star 16291505 */

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                               	*/
/*                                                                                      */
/****************************************************************************************/
insert into mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 values ( 16291505, getdate(), 1, 4, 'Star 16291505 (MODIFIED v4) BSO Service Delivery: r11.2 sp2 updates' )
GO

COMMIT TRANSACTION 
GO

