SET LOCK_TIMEOUT 300000
GO
SET DEADLOCK_PRIORITY LOW
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION 
GO

/****************************************************************************************/
/*                                                                                      */
/* Star 16551097 UPM, DSM: Class and hierarchy content for Sun RTOS */
/*                                                                                      */
/****************************************************************************************/

/* lock objects...  */
 
/* Start of lines added to convert to online lock */
 
 
Select top 1 1 from mdb_patch with (tablockx)
GO
 
/* Start of locks for dependent tables */
 
Select top 1 1 from mdb_service_pack with (tablockx)
GO
 
Select top 1 1 from mdb with (tablockx)
GO
 
Select top 1 1 from mdb_checkpoint with (tablockx)
GO
 
/* End of lines added to convert to online lock */

/* 16584925 MDB auto-build CRPatch */

Select top 1 1 from ca_class_hierarchy with (tablockx)
GO

Select top 1 1 from ca_class_def with (tablockx)
GO
 
/* Start of locks for dependent tables */

Select top 1 1 from ca_dscv_class_combo_rules with (tablockx)
GO
 
Select top 1 1 from ca_dscv_class_relationships with (tablockx)
GO
 
Select top 1 1 from ca_dscv_class_rules with (tablockx)
GO
 
Select top 1 1 from ca_link_logical_asset_class_def with (tablockx)
GO
 
Select top 1 1 from ca_requirement_spec_item with (tablockx)
GO
 
Select top 1 1 from ca_software_def with (tablockx)
GO
 
Select top 1 1 from ca_software_def_class_def_matrix with (tablockx)
GO
 
Select top 1 1 from ca_hierarchy with (tablockx)
GO
 
Select top 1 1 from ca_asset_class with (tablockx)
GO
 
/* End of lines added to convert to online lock */


CREATE TABLE #ca_class_def
(
class_id integer not null, 
class_name nvarchar(100), 
class_description nvarchar(255)
);
go

CREATE TABLE #ca_class_hierarchy
(
parent_class_id integer not null, 
child_class_id integer not null, 
hierarchy_id integer not null, 
level integer, 
hierarchy_path nvarchar(100)
);
go

insert into #ca_class_def (class_id,class_name,class_description) values (5114,'RTOS','');
go

insert into #ca_class_def (class_id,class_name,class_description) values (5115,'Sun RTOS','');
go

insert into #ca_class_hierarchy(hierarchy_id,child_class_id,parent_class_id,level,hierarchy_path) values (1,5114,0,1,'1.0.5114');
go

insert into #ca_class_hierarchy(hierarchy_id,child_class_id,parent_class_id,level,hierarchy_path) values (1,5115,5114,2,'1.0.5114.5115');
go

insert into #ca_class_hierarchy(hierarchy_id,child_class_id,parent_class_id,level,hierarchy_path) values (5,5114,0,1,'5.0.5114');
go

insert into #ca_class_hierarchy(hierarchy_id,child_class_id,parent_class_id,level,hierarchy_path) values (5,5115,5114,2,'5.0.5114.5115');
go


INSERT INTO ca_class_def (class_id, class_name, class_description) 
SELECT t.class_id, t.class_name, t.class_description FROM #ca_class_def t 
WHERE t.class_id NOT IN ( SELECT class_id FROM ca_class_def ) ;
go

UPDATE ca_class_def
   SET class_name = t.class_name, 
       class_description = t.class_description
FROM #ca_class_def t
WHERE ca_class_def.class_id = t.class_id;
go

INSERT INTO ca_class_hierarchy (parent_class_id, child_class_id, hierarchy_id, level, hierarchy_path) 
SELECT t.parent_class_id, t.child_class_id, t.hierarchy_id, t.level, t.hierarchy_path FROM #ca_class_hierarchy t 
WHERE convert(char,t.child_class_id)+':'+convert(char,t.hierarchy_id) NOT IN ( SELECT convert(char,child_class_id)+':'+convert(char,hierarchy_id) FROM ca_class_hierarchy ) ;
go

UPDATE ca_class_hierarchy
   SET parent_class_id = t.parent_class_id, 
       level = t.level, 
       hierarchy_path = t.hierarchy_path
FROM #ca_class_hierarchy t
WHERE ca_class_hierarchy.child_class_id = t.child_class_id AND ca_class_hierarchy.hierarchy_id = t.hierarchy_id;
go

DROP TABLE #ca_class_def;
go
DROP TABLE #ca_class_hierarchy;
go




/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                               	*/
/*                                                                                      */
/****************************************************************************************/
insert into mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 values ( 16551097, getdate(), 1, 4, 'Star 16551097 UPM, DSM: Class and hierarchy content for Sun RTOS' )
GO

COMMIT TRANSACTION 
GO

