SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 14574281 COLUMN TYPE CHANGES 	 				                */
/*                                                                                      */
/****************************************************************************************/

CREATE TABLE tmp_si_pri_prop AS SELECT * FROM si_pri_prop;
DROP TABLE si_pri_prop;

CREATE TABLE si_pri_prop (
       enum                 INTEGER NOT NULL,
       data_source          VARCHAR2(256) NOT NULL,
       name                 NVARCHAR2(12) NULL
);

CREATE INDEX IX_si_pri_prop ON si_pri_prop
(
       data_source                    ASC,
       enum                           ASC
) tablespace &2 ;



CREATE TABLE tmp_si_legdoc_prop AS SELECT * FROM si_legdoc_prop;
DROP TABLE si_legdoc_prop;

CREATE TABLE si_legdoc_prop (
       legdoc_uuid          RAW(16) NOT NULL,
       ext_company          NVARCHAR2(64) NULL,
       int_company 	    NVARCHAR2(64) NULL,
       effective_dt	    DATE NULL,
       term_dt              DATE NULL,
       description          NVARCHAR2(100) NULL,
       status 		    NVARCHAR2(32) NULL,
       data_source          VARCHAR2(256) NULL
);

CREATE INDEX IX_si_legdoc_prop_1 ON si_legdoc_prop
(
       legdoc_uuid                    ASC,
       data_source                    ASC,
       term_dt                        ASC
) tablespace &2 ;



CREATE TABLE tmp_si_legdoc_ci_rel AS SELECT * FROM si_legdoc_ci_rel;
DROP TABLE si_legdoc_ci_rel;

CREATE TABLE si_legdoc_ci_rel (
       ci_uuid              RAW(16) NULL,
       legdoc_uuid          RAW(16) NULL,
       data_source          VARCHAR2(256) NULL,
       version              INTEGER NULL
);

CREATE INDEX IX_si_legdoc_ci_rel_1 ON si_legdoc_ci_rel
(
       data_source                    ASC
) tablespace &2 ;



/* si_pri_prop */
INSERT INTO si_pri_prop SELECT * FROM tmp_si_pri_prop;
DROP TABLE tmp_si_pri_prop;

/* si_legdoc_prop */
INSERT INTO si_legdoc_prop SELECT * FROM tmp_si_legdoc_prop;
DROP TABLE tmp_si_legdoc_prop;

/* si_legdoc_ci_rel */
INSERT INTO si_legdoc_ci_rel SELECT * FROM tmp_si_legdoc_ci_rel;
DROP TABLE tmp_si_legdoc_ci_rel;


grant   select   on si_pri_prop to siadmins
;
grant   update   on si_pri_prop to siadmins
;
grant   insert   on si_pri_prop to siadmins
;
grant 	delete 	 on si_pri_prop to siadmins
;
grant   select   on si_legdoc_prop to siadmins
;
grant   update   on si_legdoc_prop to siadmins
;
grant   insert   on si_legdoc_prop to siadmins
;
grant 	delete 	 on si_legdoc_prop to siadmins
;
grant   select   on si_legdoc_ci_rel to siadmins
;
grant   update   on si_legdoc_ci_rel to siadmins
;
grant   insert   on si_legdoc_ci_rel to siadmins
;
grant 	delete 	 on si_legdoc_ci_rel to siadmins
;


/****************************************************************************************/
/*                                                                                      */
/*  register patch                                                                      */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 14574281, systimestamp, 1, 4, 'Star 14574281 COLUMN TYPE CHANGES' );

COMMIT;

EXIT SUCCESS;

