SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 14668173 UNICENTER INSIGHT MDB CHANGES		`				*/
/*                                                                                      */
/****************************************************************************************/



CREATE TABLE DBH_AGENT_STATUS
(
 AGENT_NAME      VARCHAR2(80)  NOT NULL,
 ALARM_NAME      VARCHAR2(80)  NOT NULL,
 ALARM_OBJECT    VARCHAR2(132),
 ALARM_THRESHOLD VARCHAR2(32),
 ALARM_LEVEL     NUMBER(8,0),
 ALARM_TYPE      NUMBER(8,0),
 ALARM_TEXT      VARCHAR2(256) NOT NULL,
 ALARM_TIME      DATE
);

CREATE TABLE DBH_CAPTURES
(
 CAPTURE_ID             NUMBER(8,0)     NOT NULL,
 DB                     VARCHAR2(256)   NOT NULL,
 DB_TYPE                VARCHAR2(1)     NOT NULL,
 DB_VERSION             VARCHAR2(30)    NOT NULL,
 OWNER                  VARCHAR2(256)   NOT NULL,
 COLLECTION_NAME        VARCHAR2(50)    NOT NULL,
 SUBMIT_DATE            DATE,
 CAPTURE_DESC           VARCHAR2(500),
 COLLECT_SYS_Y_N        VARCHAR2(1),
 NUM_SQL_COLLECTED      NUMBER(8,0),
 BATCH_OR_INTERACTIVE   VARCHAR2(1),
 BATCH_JOB_ID           NUMBER(8,0),
 BATCH_START_TIME       DATE,
 BATCH_REPEAT           VARCHAR2(100), 
 BATCH_STOP_TIME        DATE,
 BATCH_EXECUTES_TO_DATE NUMBER(12,0),
 BATCH_ERRER_MSG        VARCHAR2(500),
 VAR1                   VARCHAR2(100),
 VAR2                   VARCHAR2(100),
 VAR3                   VARCHAR2(100),
 VAR4                   VARCHAR2(100),
 VAR5                   VARCHAR2(4000)
);

CREATE TABLE DBH_HIST
(
 SEQ_NO     NUMBER        NOT NULL,
 TIMESTAMP  DATE          NOT NULL,
 VALUE      NUMBER(38,5),
 TEXT_VALUE VARCHAR2(80)
);

CREATE TABLE DBH_KEY
(
 SEQ_NO          NUMBER       NOT NULL,
 DBH_INSTANCE    VARCHAR2(80) NOT NULL,
 NAME            VARCHAR2(50) NOT NULL,
 SUB_NAME        VARCHAR2(80) NOT NULL,
 TIMESTAMP_FIRST DATE,
 TIMESTAMP_LAST  DATE 
);

CREATE TABLE DBH_SQL_BIND_VARIABLES_ORA
(
 SQL_ID             NUMBER(8,0)  NOT NULL,
 VARIABLE_NAME      VARCHAR2(30) NOT NULL,
 EXECUTION_DATATYPE VARCHAR2(1)  NOT NULL,
 MAX_LENGTH         NUMBER(8,0)  NOT NULL,
 ARRAY_INDEX        NUMBER(8,0),
 VARIABLE_VALUE     CLOB
);

CREATE TABLE DBH_SQL_ORA
(SQL_ID					NUMBER(8,0)     NOT NULL,
 CAPTURE_ID				NUMBER(8,0),
 SNAPSHOT_TIMESTAMP		DATE            NOT NULL,
 SQL_OWNER				VARCHAR2(30),
 SQL_PARSER				VARCHAR2(30)    NOT NULL,
 APPL_NAME				VARCHAR2(256),
 OS_USER				VARCHAR2(256),
 OPTION_DEFER_PARSE		CHAR(1),
 OPTION_DESCRIBES_Y_N	CHAR(1),
 OPTION_COMBINE_FETCH	CHAR(1),
 OPTION_MIN_SORTING		CHAR(1),
 OPTION_ARRAY_SIZE		NUMBER(12,0),
 OPTION_N_FETCHES		NUMBER(12,0),
 OPTION_LONG_PIECE_SIZE	NUMBER(12,0),
 OPTION_N_LONG_PEICES	NUMBER(12,0),
 OPTION_ROLL_SEGMENT	VARCHAR2(30),
 BIND_CARNALITY			NUMBER(12,0),
 PROD_PLAN				VARCHAR2(1),
 DO_ELAPSED_TIME_LAST	NUMBER(12,0),
 DO_TOTAL_CPU_LAST		NUMBER(16,6),
 DO_DB_CALLS			NUMBER(12,0),
 ROW_NUM_LIMIT			NUMBER(12,0),
 SQL_TYPE				VARCHAR2(1)     NOT NULL,
 C_SHARABLE_MEM			NUMBER(12,0),
 C_SORTS				NUMBER(12,0),
 C_LOADED_VERSIONS		NUMBER(12,0),
 C_EXECUTIONS			NUMBER(12,0),
 C_PARSE_CALLS			NUMBER(12,0),
 C_DISK_READS			NUMBER(12,0),
 C_BUFFER_GETS			NUMBER(12,0),
 C_USERS_OPENING		NUMBER(12,0),
 C_FIRST_LOAD_TIME		DATE,
 C_LAST_LOAD_TIME		DATE,
 C_ROWS_PROCESSED		NUMBER(12,0),
 C_CPU_TIME				NUMBER(16,6),
 C_ELAPSED_TIME			NUMBER(12,0),
 C_LOG_WRITE			NUMBER(12,0),
 C_LOG_IO				NUMBER(12,0),
 C_OPTIMIZER_MODE		VARCHAR2(30),
 AUD_SID				NUMBER(12,0),
 SID					NUMBER(12,0),
 SERIAL_NUM				NUMBER(12,0),
 SQL_ADDRESS			VARCHAR2(50),
 SQL_HASH_VALUE			NUMBER(12,0),
 CHILD_NUMBER			NUMBER(12,0),
 DIFF_LOG_READ			NUMBER(12,0),
 DIFF_LOG_WRITE			NUMBER(12,0),
 DIFF_PHY_READ			NUMBER(12,0),
 DIFF_IO				NUMBER(12,0),
 DIFF_CPU				NUMBER(16,6),
 STMT_TEXT				CLOB          NOT NULL,
 TAG					VARCHAR2(50),
 FOLDER					VARCHAR2(50),
 DESCRIPTION			VARCHAR2(2000),
 PLAN_OWNER				VARCHAR2(30),
 DB_CONNECT_STRING		VARCHAR2(400),
 DB_NAME				VARCHAR2(50),
 DB_VERSION				VARCHAR2(30),
 CREATE_DATE			DATE,
 VERIFY_DATE			DATE,
 START_CAPTURE_TIME		DATE,
 END_CAPTURE_TIME		DATE,
 CAPTURE_INTERVAL		NUMBER(12,2),
 VAR1					VARCHAR2(400),
 VAR2					VARCHAR2(400),
 VAR3					VARCHAR2(400),
 VAR4					VARCHAR2(400),
 VAR5					VARCHAR2(400),
 TEXT1					CLOB,
 DEC1					NUMBER(12,2),
 DEC2					NUMBER(12,2),
 DEC3					NUMBER(12,2),
 DEC4					NUMBER(16,6),
 DEC5					NUMBER(16,6),
 FLOAT1					FLOAT,
 FLOAT2					FLOAT,
 FLOAT3					FLOAT,
 DATE1					DATE,
 DATE2					DATE,
 DATE3					DATE
);

CREATE TABLE DBH_SQL_TABLES_ORA
(
 SQL_ID      NUMBER(8,0)   NOT NULL,
 TABLE_OWNER VARCHAR2(30)  NOT NULL,
 TABLE_NAME	 VARCHAR2(30)  NOT NULL,
 OBJECT_ID	 NUMBER(12,0),
 OBJECT_TYPE VARCHAR2(30)
);

CREATE TABLE DBH_SQL_UDB					
(SQL_ID					NUMBER(8,0)  NOT NULL,
 CAPTURE_ID				NUMBER(8,0),	
 SNAPSHOT_TIMESTAMP		DATE         NOT NULL,			
 SQL_OWNER				VARCHAR2(256),	
 SQL_PARSER				VARCHAR2(256),	
 AGENT_ID				NUMBER(12,0) NOT NULL,	
 APPL_ID				VARCHAR2(32) NOT NULL,	
 APPL_NAME				VARCHAR2(256),	
 OS_USER				VARCHAR2(256),	
 AGENT_ROWS_READ		NUMBER(12,0),			
 AGENT_ROWS_WRITTEN		NUMBER(12,0),			
 AGENT_USR_CPU			NUMBER(16,6),		
 AGENT_SYS_CPU			NUMBER(16,6),		
 STMT_ROWS_READ			NUMBER(12,0),		
 STMT_ROWS_WRITTEN		NUMBER(12,0),			
 STMT_ROWS_ACCESSED		NUMBER(12,0),			
 NUM_AGENTS				NUMBER(12,0),	
 AGENTS_TOP				NUMBER(12,0),	
 STMT_TYPE				NUMBER(4,0),	
 STMT_OPERATION			NUMBER(4,0),		
 SECTION_NUMBER			NUMBER(12,0),		
 QUERY_COST_ESTIMATE	NUMBER(12,0),				
 QUERY_CARD_ESTIMATE	NUMBER(12,0),				
 DEGREE_PARALLELISM		NUMBER(12,0),			
 STMT_SORTS				NUMBER(12,0),	
 TOTAL_SORT_TIME		NUMBER(16,6),			
 SORT_OVERFLOWS			NUMBER(12,0),		
 INT_ROWS_DELETED		NUMBER(12,0),			
 INT_ROWS_UPDATED		NUMBER(12,0),			
 INT_ROWS_INSERTED		NUMBER(12,0),			
 FETCH_COUNT			NUMBER(12,0),		
 STMT_START				DATE,	
 STMT_STOP				DATE,	
 STMT_USR_CPU			NUMBER(16,6),		
 STMT_SYS_CPU			NUMBER(16,6),		
 STMT_ELAPSED_TIME		NUMBER(16,6),			
 BLOCKING_CURSOR		NUMBER(12,0),			
 STMT_PARTITION_NUMBER	NUMBER(12,0),				
 CURSOR_NAME			VARCHAR2(256),		
 CREATOR				VARCHAR2(256),	
 PACKAGE_NAME			VARCHAR2(30),		
 DIFF_ROWS_READ			NUMBER(12,0),		
 DIFF_ROWS_WRITTEN		NUMBER(12,0),			
 DIFF_ROWS_ACCESSED		NUMBER(12,0),			
 DIFF_CPU				NUMBER(16,6),	
 STMT_TEXT				CLOB,	
 TAG					VARCHAR2(50),
 FOLDER					VARCHAR2(50),
 DESCription			VARCHAR2(2000),
 PLAN_OWNER				VARCHAR2(30),	
 DB_CONNECT_STRING		VARCHAR2(400),			
 DB_NAME				VARCHAR2(50),
 DB_VERSION				VARCHAR2(30),	
 CREATE_DATE			DATE,	
 VERIFY_DATE			DATE,	
 START_CAPTURE_TIME		DATE,			
 END_CAPTURE_TIME		DATE,			
 CAPTURE_INTERVAL		NUMBER(12,2),			
 VAR1					VARCHAR2(400),
 VAR2					VARCHAR2(400),
 VAR3					VARCHAR2(400),
 VAR4					VARCHAR2(400),
 VAR5					VARCHAR2(400),
 TEXT1					VARCHAR2(1),
 DEC1					NUMBER(12,2),
 DEC2					NUMBER(12,2),
 DEC3					NUMBER(12,2),
 DEC4					NUMBER(16,6),
 DEC5					NUMBER(16,6),
 FLOAT1					FLOAT,
 FLOAT2					FLOAT,
 FLOAT3					FLOAT,
 DATE1					DATE,
 DATE2					DATE,
 DATE3					DATE
);

CREATE INDEX DBH_AGENT_STATUS_IDX ON DBH_AGENT_STATUS
(
 AGENT_NAME,
 ALARM_NAME,
 ALARM_OBJECT
) TABLESPACE &2;

CREATE INDEX DBH_CAPTURES_DB_BATCH_ST_IDX ON DBH_CAPTURES 
(
 DB, 
 BATCH_START_TIME
 ) TABLESPACE &2;

CREATE INDEX DBH_CAPTURES_DB_COLLECT_IDX ON DBH_CAPTURES 
(
 DB,
 COLLECTION_NAME
) TABLESPACE &2;

CREATE INDEX DBH_HIST_IDX ON DBH_HIST
(
 SEQ_NO,
 TIMESTAMP
) TABLESPACE &2;

CREATE INDEX DBH_KEY_IDX ON DBH_KEY
(
 DBH_INSTANCE,
 NAME,
 SUB_NAME
) TABLESPACE &2;

CREATE INDEX DBH_SQL_ORA_SNAPSHOT_TS_IDX ON DBH_SQL_ORA 
(
 CAPTURE_ID, 
 SNAPSHOT_TIMESTAMP
 ) TABLESPACE &2;

CREATE INDEX DBH_SQL_TABLES_ORA_TABLE_IDX ON DBH_SQL_TABLES_ORA 
(
 TABLE_OWNER, 
 TABLE_NAME
) TABLESPACE &2;

CREATE INDEX DBH_SQL_UDB_SNAPSHOT_TS_IDX ON DBH_SQL_UDB 
(
 CAPTURE_ID, 
 SNAPSHOT_TIMESTAMP
) TABLESPACE &2;

ALTER TABLE DBH_CAPTURES ADD CONSTRAINT DBH_CAPTURES_PK
  PRIMARY KEY (CAPTURE_ID);

ALTER TABLE DBH_SQL_BIND_VARIABLES_ORA 
ADD CONSTRAINT DBH_SQL_BIND_VARIABLES_ORA_PK
  PRIMARY KEY (SQL_ID, VARIABLE_NAME);
  
ALTER TABLE DBH_SQL_ORA ADD CONSTRAINT DBH_SQL_ORA_PK
  PRIMARY KEY (SQL_ID);

ALTER TABLE DBH_SQL_TABLES_ORA ADD CONSTRAINT DBH_SQL_TABLES_ORA_PK
  PRIMARY KEY (SQL_ID, TABLE_OWNER, TABLE_NAME);

ALTER TABLE DBH_SQL_UDB ADD CONSTRAINT DBH_SQL_UDB_PK
  PRIMARY KEY (SQL_ID);

ALTER TABLE DBH_SQL_BIND_VARIABLES_ORA 
ADD CONSTRAINT DBH_SQL_BIND_VAR_ORA_SQL_FK
  FOREIGN KEY (SQL_ID) REFERENCES DBH_SQL_ORA(SQL_ID) ON DELETE CASCADE;

ALTER TABLE DBH_SQL_ORA ADD CONSTRAINT DBH_SQL_ORA_CAPTURE_FK 
  FOREIGN KEY (CAPTURE_ID) REFERENCES DBH_CAPTURES(CAPTURE_ID) 
  ON DELETE CASCADE;

ALTER TABLE DBH_SQL_TABLES_ORA ADD CONSTRAINT DBH_SQL_TABLES_ORA_SQL_FK 
  FOREIGN KEY (SQL_ID) REFERENCES DBH_SQL_ORA(SQL_ID) ON DELETE CASCADE;

ALTER TABLE DBH_SQL_UDB ADD CONSTRAINT DBH_SQL_UDB_CAPTURE_FK
  FOREIGN KEY (CAPTURE_ID) REFERENCES DBH_CAPTURES(CAPTURE_ID) 
  ON DELETE CASCADE;

CREATE SEQUENCE DBH_CAPTURE_ID_SEQ START WITH 1;

CREATE SEQUENCE DBH_SEQ START WITH 1;

CREATE SEQUENCE DBH_SQL_ORA_ID_SEQ START WITH 1;

CREATE SEQUENCE DBH_SQL_UDB_ID_SEQ START WITH 1;

GRANT SELECT ON MDBADMIN.dbh_capture_id_seq TO  UDMADMIN_GROUP ;
GRANT SELECT ON MDBADMIN.dbh_seq            TO  UDMADMIN_GROUP ;
GRANT SELECT ON MDBADMIN.dbh_sql_ora_id_seq TO UDMADMIN_GROUP ;
GRANT SELECT ON MDBADMIN.dbh_sql_udb_id_seq TO UDMADMIN_GROUP ;

GRANT SELECT,INSERT,DELETE,UPDATE ON MDBADMIN.dbh_agent_status           TO UDMADMIN_GROUP;
GRANT SELECT,INSERT,DELETE,UPDATE ON MDBADMIN.dbh_captures               TO UDMADMIN_GROUP;
GRANT SELECT,INSERT,DELETE,UPDATE ON MDBADMIN.dbh_hist                   TO UDMADMIN_GROUP;
GRANT SELECT,INSERT,DELETE,UPDATE ON MDBADMIN.dbh_key                    TO UDMADMIN_GROUP;
GRANT SELECT,INSERT,DELETE,UPDATE ON MDBADMIN.dbh_sql_bind_variables_ora TO UDMADMIN_GROUP; 
GRANT SELECT,INSERT,DELETE,UPDATE ON MDBADMIN.dbh_sql_ora                TO UDMADMIN_GROUP;
GRANT SELECT,INSERT,DELETE,UPDATE ON MDBADMIN.dbh_sql_tables_ora         TO UDMADMIN_GROUP;
GRANT SELECT,INSERT,DELETE,UPDATE ON MDBADMIN.dbh_sql_udb                TO UDMADMIN_GROUP;


/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 14668173, systimestamp, 1, 4, 'Star 14668173 UNICENTER INSIGHT MDB CHANGES' );

COMMIT;

EXIT SUCCESS;
