SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 14715618 UUID_FROM_CHAR MISSING							*/
/*                                                                                      */
/****************************************************************************************/

CREATE OR REPLACE FUNCTION uuid_to_char( uuid_bytes in raw )  
RETURN varchar2 IS uuid_str varchar2(36); 
BEGIN

    uuid_str := rawtohex(utl_raw.reverse(utl_raw.substr(uuid_bytes, 1, 4))) ||
                '-' ||
                rawtohex(utl_raw.reverse(utl_raw.substr(uuid_bytes, 5, 2))) ||
                '-' ||
                rawtohex(utl_raw.reverse(utl_raw.substr(uuid_bytes, 7, 2))) ||
                '-' ||
                rawtohex(utl_raw.substr(uuid_bytes, 9, 2)) ||
                '-' ||
                rawtohex(utl_raw.substr(uuid_bytes, 11, 6));

    uuid_str := lower(uuid_str);

    RETURN uuid_str;
END;
/

CREATE OR REPLACE FUNCTION uuid_from_char( uuid_str in varchar2 )  
RETURN raw IS uuid_bytes raw(16);
BEGIN
    uuid_bytes := utl_raw.reverse(hextoraw(substr(uuid_str, 1, 8)));
    uuid_bytes := utl_raw.concat(uuid_bytes, utl_raw.reverse(hextoraw(substr(uuid_str, 10, 4))));
    uuid_bytes := utl_raw.concat(uuid_bytes, utl_raw.reverse(hextoraw(substr(uuid_str, 15, 4))));
    uuid_bytes := utl_raw.concat(uuid_bytes, hextoraw(substr(uuid_str, 20, 4)));
    uuid_bytes := utl_raw.concat(uuid_bytes, hextoraw(substr(uuid_str, 25, 12)));

    RETURN uuid_bytes;
END;
/

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 14715618, systimestamp, 1, 4, 'Star 14715618 UUID_FROM_CHAR MISSING' );

COMMIT;

EXIT SUCCESS;
