SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Patch Star 14761153 WF: Add reservedby column to simpleevent / new wf_ids table      */
/*                                                                                      */
/****************************************************************************************/

alter table simpleevent add reservedby nvarchar2(32) null;

create table wf_ids (
	id number(38,0) default '0',
	category nvarchar2(32) default ' ',
	productid raw(16) not null
);

alter table wf_ids add primary key (productid, category);

grant   insert   on wf_ids to workflow_admin_group
;
grant select on wf_ids to service_desk_ro_group
;
grant   select   on wf_ids to usmgroup
;
grant   update   on wf_ids to workflow_admin_group
;
grant   delete   on wf_ids to workflow_admin_group
;
grant   delete   on wf_ids to service_desk_admin_group
;
grant   update   on wf_ids to service_desk_admin_group
;
grant   select   on wf_ids to service_desk_admin_group
;
grant   insert   on wf_ids to service_desk_admin_group
;
grant   update   on wf_ids to usmgroup
;
grant select on wf_ids to workflow_ro_group
;
grant   insert   on wf_ids to usmgroup
;
grant   select   on wf_ids to workflow_admin_group
;
grant   delete   on wf_ids to usmgroup
;

/****************************************************************************************/
/*                                                                                      */
/*  register patch                                                                      */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 14761153, systimestamp, 1, 4, 'Patch Star 14761153 WF: Add reservedby column to simpleevent / new wf_ids table' );

COMMIT;

EXIT SUCCESS;


