SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 16029018 UAPM: new tables arg_job and arg_job_task				*/
/*                                                                                      */
/****************************************************************************************/
CREATE TABLE arg_job (
	job_id NUMBER NOT NULL,
	definition BLOB NULL,
	owner NVARCHAR2 (50) NULL,
	object_id NVARCHAR2 (50),
	object_type NUMBER NOT NULL,
	action NUMBER NULL,
	status NVARCHAR2 (255),
	status_message NVARCHAR2 (2000) NULL,
	server_name NVARCHAR2 (255),
	job_type NUMBER NULL ,
	process_id NVARCHAR2 (255),
	category NVARCHAR2 (255),
	creation_user NVARCHAR2 (255),
	creation_date NUMBER NULL,
	last_update_user NVARCHAR2 (255),
	last_update_date NUMBER NULL,
	version_number NUMBER DEFAULT 0 NOT NULL
);

ALTER TABLE arg_job
       ADD CONSTRAINT XPKarg_job PRIMARY KEY (job_id);
       
CREATE INDEX arg_job_idx_01 ON arg_job
(
       category                    ASC
) tablespace &2;      


CREATE TABLE arg_job_task (
	job_id NUMBER NOT NULL,
	object_id NVARCHAR2 (50),
	object_type NUMBER NULL,
	status NVARCHAR2 (255) NULL,
	status_message NVARCHAR2 (2000) NULL,
	job_task_id NUMBER NOT NULL,
	server_name NVARCHAR2 (255) NULL,
	job_type NUMBER NULL,
	process_id NVARCHAR2 (255) NULL,
	category NVARCHAR2 (255) NULL,
	creation_date NUMBER NULL, 
	creation_user NVARCHAR2 (255) NULL,
	last_update_date NUMBER NULL,
	last_update_user NVARCHAR2 (255) NULL,
	version_number NUMBER DEFAULT 0 NOT NULL
);

ALTER TABLE arg_job_task
       ADD CONSTRAINT XPKarg_job_task PRIMARY KEY (job_id, job_task_id);

ALTER TABLE arg_job_task 
	ADD CONSTRAINT arg_job_task_fk01 FOREIGN KEY 
	(
		job_id
	) REFERENCES arg_job (
		job_id
	);


/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 16029018, systimestamp, 1, 4, 'Star 16029018 UAPM: new tables arg_job and arg_job_task' );

COMMIT;

EXIT SUCCESS;
