SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;

/****************************************************************************************/
/*                                                                                      */
/* Patch Star 16291505 BSO Service Delivery: r11.2 sp2 updates				*/
/*                                                                                      */
/****************************************************************************************/
SET ESCAPE ON;
/*
	-------------
	August 21, 2007
	-------------
	Service Delivery r11.2 SP1 release
	- 16206027_512 CHARACTER LIMIT
*/
ALTER TABLE usm_rate_definition MODIFY ( item_text NVARCHAR2(1024) );
ALTER TABLE usm_report_data MODIFY ( comments NVARCHAR2(512) );
ALTER TABLE usm_report_dataview MODIFY ( comments NVARCHAR2(512) );
ALTER TABLE usm_report_layout MODIFY ( comments NVARCHAR2(512) );
ALTER TABLE usm_event_type MODIFY ( console_msg NVARCHAR2(256) );
ALTER TABLE usm_rate_definition MODIFY ( text_1 NVARCHAR2(100) );

/*
	-------------
	July 21, 2008
	-------------
	Replace PROCEDURE usm_proc_drop_idxkey to correct the error found in dropping for given index user index.
*/
/*
	added utility procedure "usm_proc_drop_idxkey" to drop index, if the index name exists
	tname:		Table Name
	idxname:	Index Name 
	oname:		Owner Name
*/
CREATE OR REPLACE PROCEDURE usm_proc_drop_idxkey (tname IN VARCHAR2, idxname IN VARCHAR2, oname IN VARCHAR2)
AS
	drop_idx_name VARCHAR2(60);
	stmt varchar(8000);

	cursor c1 IS		
		SELECT INDEX_NAME 
		FROM user_indexes 
		WHERE TABLE_NAME = UPPER(tname) AND TABLE_OWNER = UPPER(oname) AND INDEX_NAME = UPPER(idxname) AND TABLESPACE_NAME = UPPER('&2');
		
BEGIN
    OPEN c1;
    FETCH c1 INTO drop_idx_name;
    IF c1%FOUND THEN
	stmt := 'DROP INDEX ' || drop_idx_name;
    	DBMS_OUTPUT.PUT_LINE('Drop Index stmt: ' || stmt);
    	EXECUTE IMMEDIATE stmt;
    	COMMIT;
    END IF;
    CLOSE c1;
EXCEPTION
    WHEN OTHERS THEN
       CLOSE c1;
       DBMS_OUTPUT.PUT_LINE('Error ' || TO_CHAR(SQLCODE) || ': ' || SQLERRM);
       RAISE;	
END;
/

exec usm_proc_drop_idxkey('usm_offering', 'usm_offering_idx001', 'mdbadmin');

CREATE INDEX usm_offering_idx001 ON usm_offering
(
       is_leaf			ASC,
       tree_level		ASC,
       status			ASC,
       offering_name	ASC,
       path				ASC
);

/* Star 16291505 */


/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 16291505, systimestamp, 1, 4, 'Star 16291505 (MODIFIED v5) BSO Service Delivery: r11.2 sp2 updates' );

COMMIT;

EXIT SUCCESS;
