SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 16430867 DSM dis_hardware_unique_uuid						*/
/*                                                                                      */
/****************************************************************************************/
--	itrac 13470 / star 16374236 
-- wrong index

-- The current index does not support nulls in host_uuid for manual created systems
--  create unique index dis_hardware_unique_uuid on ca_discovered_hardware(	host_uuid, domain_uuid) tablespace mmdb_index;

/* test 
insert into ca_discovered_hardware(dis_hw_uuid,host_name,domain_uuid,label) 
  values('00','host_name0','00','label');
  insert into ca_discovered_hardware(dis_hw_uuid,host_name,domain_uuid,label) 
  values('01','host_name1','00','label');
  insert into ca_discovered_hardware(dis_hw_uuid,host_name,domain_uuid,label,host_uuid) 
  values('02','host_name2','00','label','01');
  insert into ca_discovered_hardware(dis_hw_uuid,host_name,domain_uuid,label,host_uuid) 
  values('03','host_name3','00','label','02');
-- should not work duplicate key host_uuid
    insert into ca_discovered_hardware(dis_hw_uuid,host_name,domain_uuid,label,host_uuid) 
  values('04','host_name4','00','label','01');
*/

drop index dis_hardware_unique_uuid;

create or replace function dis_hardware_unique_uuid_fct(uuid char, dis_hw_uuid raw)
return char
deterministic
is
begin
if ( uuid is null )
then
  return ('_' || rawtohex(dis_hw_uuid));
  else
  return (uuid);
  end if;
end;

/

create unique index dis_hardware_unique_uuid on ca_discovered_hardware
	(	host_uuid, domain_uuid,dis_hardware_unique_uuid_fct(host_uuid, dis_hw_uuid)) /* tablespace .2 */;

--	itrac 13470 / star 16374236 
-- wrong index

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 16430867, systimestamp, 1, 4, 'Star 16430867 DSM dis_hardware_unique_uuid' );

COMMIT;

EXIT SUCCESS;
