SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 16794102 CMDB 11.2, patch 4, new ci extension tables, new column */
/*                                                                                      */
/****************************************************************************************/
/* 16584925 MDB auto-build CRPatch */ 

CREATE TABLE ci_enterprise_transaction
(
     id NUMBER NOT NULL  ,
     persid nvarchar2(30)  NULL  ,
     del NUMBER NOT NULL  ,
     last_mod_dt NUMBER  NULL  ,
     last_mod_by raw(16)  NULL  ,
     ext_asset raw(16) NOT NULL  ,
     description nvarchar2(300)  NULL  ,
     category nvarchar2(50)  NULL  ,
     version nvarchar2(15)  NULL  ,
     site nvarchar2(50)  NULL  ,
     business_owner nvarchar2(300)  NULL  ,
     business_unit nvarchar2(300)  NULL  ,
     transaction_manager nvarchar2(300)  NULL  ,
     business_contacts nvarchar2(300)  NULL  ,
     escalation_contacts nvarchar2(300)  NULL  ,
     lifecycle_state nvarchar2(50)  NULL  ,
     lifecycle_status nvarchar2(50)  NULL  ,
     business_impact nvarchar2(30)  NULL  ,
     business_priority nvarchar2(30)  NULL  ,
     transaction_goal nvarchar2(300)  NULL  ,
     transaction_alignment nvarchar2(50)  NULL  ,
     design_start_date NUMBER  NULL  ,
     design_end_date NUMBER  NULL  ,
     transition_start_date NUMBER  NULL  ,
     transition_end_date NUMBER  NULL  ,
     operation_start_date NUMBER  NULL  ,
     operation_end_date NUMBER  NULL  ,
     availability_start NUMBER  NULL  ,
     availability_end NUMBER  NULL  ,
     unavailability_start NUMBER  NULL  ,
     unavailability_end NUMBER  NULL  ,
     cancel_date NUMBER  NULL
);
ALTER TABLE ci_enterprise_transaction ADD PRIMARY KEY  ( id );
GRANT SELECT, INSERT, DELETE, UPDATE ON ci_enterprise_transaction TO service_desk_admin_group;
GRANT SELECT ON ci_enterprise_transaction TO service_desk_ro_group;
CREATE UNIQUE INDEX ci_enterprise_transaction_X0 ON ci_enterprise_transaction (ext_asset ASC) tablespace &2;

CREATE TABLE ci_enterprise_service
(
     id NUMBER NOT NULL  ,
     persid nvarchar2(30)  NULL  ,
     del NUMBER NOT NULL  ,
     last_mod_dt NUMBER  NULL  ,
     last_mod_by raw(16)  NULL  ,
     ext_asset raw(16) NOT NULL  ,
     description nvarchar2(300)  NULL  ,
     category nvarchar2(50)  NULL  ,
     portfolio nvarchar2(50)  NULL  ,
     version nvarchar2(15)  NULL  ,
     site nvarchar2(50)  NULL  ,
     business_owner nvarchar2(300)  NULL  ,
     business_unit nvarchar2(300)  NULL  ,
     service_manager nvarchar2(300)  NULL  ,
     business_contacts nvarchar2(300)  NULL  ,
     escalation_contacts nvarchar2(300)  NULL  ,
     lifecycle_state nvarchar2(50)  NULL  ,
     lifecycle_status nvarchar2(50)  NULL  ,
     business_impact nvarchar2(30)  NULL  ,
     business_priority nvarchar2(30)  NULL  ,
     business_risk nvarchar2(30)  NULL  ,
     cobit_objective nvarchar2(300)  NULL  ,
     charge_code nvarchar2(100)  NULL  ,
     service_goal nvarchar2(300)  NULL  ,
     service_alignment nvarchar2(50)  NULL  ,
     SLA nvarchar2(300)  NULL  ,
     service_hours nvarchar2(100)  NULL  ,
     design_start_date NUMBER  NULL  ,
     design_end_date NUMBER  NULL  ,
     transition_start_date NUMBER  NULL  ,
     transition_end_date NUMBER  NULL  ,
     operation_start_date NUMBER  NULL  ,
     operation_end_date NUMBER  NULL  ,
     availability_start NUMBER  NULL  ,
     availability_end NUMBER  NULL  ,
     unavailability_start NUMBER  NULL  ,
     unavailability_end NUMBER  NULL  ,
     cancel_date NUMBER  NULL
);
ALTER TABLE ci_enterprise_service ADD PRIMARY KEY  ( id );
GRANT SELECT, INSERT, DELETE, UPDATE ON ci_enterprise_service TO service_desk_admin_group;
GRANT SELECT ON ci_enterprise_service TO service_desk_ro_group;
CREATE UNIQUE INDEX ci_enterprise_service_X0 ON ci_enterprise_service (ext_asset ASC) tablespace &2;

ALTER TABLE ci_app_ext add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_database add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_fac_ac add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_fac_fire_control add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_fac_furnishings add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_fac_other add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_fac_ups add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_hardware_lpar add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_hardware_mainframe add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_hardware_monitor add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_hardware_other add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_hardware_server add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_hardware_printer add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_hardware_storage add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_hardware_virtual add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_hardware_workstation add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_network_bridge add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_network_cluster add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_network_controller add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_network_frontend add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_network_gateway add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_network_hub add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_network_nic add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_network_other add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_network_peripheral add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_network_port add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_network_router add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_network_server add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_operating_system add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_telcom_ciruit add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_telcom_other add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_telcom_voice add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_telcom_radio add purchase_amountc nvarchar2(30) NULL;
ALTER TABLE ci_telcom_wireless add purchase_amountc nvarchar2(30) NULL;


/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdbadmin.mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 16794102, systimestamp, 1, 4, 'Star 16794102 CMDB 11.2, patch 4, new ci extension tables, new column' );

COMMIT;

EXIT SUCCESS;
